package com.taobao.weex.adapter;

import android.net.Uri;
import android.text.TextUtils;
import com.taobao.weex.WXSDKInstance;
import java.util.List;
/* loaded from: classes.dex */
public class DefaultUriAdapter implements URIAdapter {
    @Override // io.dcloud.feature.uniapp.adapter.AbsURIAdapter
    public Uri rewrite(WXSDKInstance instance, String type, Uri uri) {
        return rewrite(instance.getBundleUrl(), type, uri);
    }

    @Override // io.dcloud.feature.uniapp.adapter.AbsURIAdapter
    public Uri rewrite(String bundleURL, String type, Uri uri) {
        if (TextUtils.isEmpty(bundleURL)) {
            return uri;
        }
        Uri parse = Uri.parse(bundleURL);
        Uri.Builder buildUpon = uri.buildUpon();
        if (uri.isRelative()) {
            if (uri.getEncodedPath().length() == 0) {
                return ("image".equals(type) && TextUtils.isEmpty(uri.toString())) ? uri : parse;
            }
            return buildRelativeURI(buildUpon, parse, uri).build();
        }
        return uri;
    }

    private Uri.Builder buildRelativeURI(Uri.Builder resultBuilder, Uri base, Uri uri) {
        if (uri.getAuthority() != null) {
            return resultBuilder.scheme(base.getScheme());
        }
        resultBuilder.encodedAuthority(base.getEncodedAuthority()).scheme(base.getScheme()).path(null);
        if (uri.getPath().startsWith("/")) {
            resultBuilder.appendEncodedPath(uri.getEncodedPath().substring(1));
        } else {
            List<String> pathSegments = base.getPathSegments();
            int size = pathSegments.size() - (!base.getPath().endsWith("/"));
            for (int i = 0; i < size; i++) {
                resultBuilder.appendEncodedPath(pathSegments.get(i));
            }
            resultBuilder.appendEncodedPath(uri.getEncodedPath());
        }
        return resultBuilder;
    }
}
