package com.taobao.weex.bridge;

import io.dcloud.feature.uniapp.bridge.UniJSCallback;
/* loaded from: classes.dex */
public class SimpleJSCallback implements UniJSCallback {
    String mCallbackId;
    String mInstanceId;
    private InvokerCallback mInvokerCallback;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public interface InvokerCallback {
        void onInvokeSuccess();
    }

    public void setInvokerCallback(InvokerCallback callback) {
        this.mInvokerCallback = callback;
    }

    public String getCallbackId() {
        return this.mCallbackId;
    }

    public SimpleJSCallback(String instanceId, String callbackId) {
        this.mCallbackId = callbackId;
        this.mInstanceId = instanceId;
    }

    @Override // com.taobao.weex.bridge.JSCallback
    public void invoke(Object data) {
        WXBridgeManager.getInstance().callbackJavascript(this.mInstanceId, this.mCallbackId, data, false);
        InvokerCallback invokerCallback = this.mInvokerCallback;
        if (invokerCallback != null) {
            invokerCallback.onInvokeSuccess();
        }
    }

    @Override // com.taobao.weex.bridge.JSCallback
    public void invokeAndKeepAlive(Object data) {
        WXBridgeManager.getInstance().callbackJavascript(this.mInstanceId, this.mCallbackId, data, true);
    }
}
