package com.taobao.weex.ui.animation;

import android.util.Property;
import android.view.View;
import android.view.ViewGroup;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.view.IRenderResult;
/* loaded from: classes.dex */
abstract class LayoutParamsProperty extends Property<View, Integer> {
    protected abstract Integer getProperty(ViewGroup.LayoutParams layoutParams);

    protected abstract void setProperty(ViewGroup.LayoutParams layoutParams, Integer expected);

    /* JADX INFO: Access modifiers changed from: package-private */
    public LayoutParamsProperty() {
        super(Integer.class, "layoutParams");
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // android.util.Property
    public Integer get(View object) {
        ViewGroup.LayoutParams layoutParams;
        if (object != null && (layoutParams = object.getLayoutParams()) != null) {
            return getProperty(layoutParams);
        }
        return 0;
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // android.util.Property
    public void set(View object, Integer value) {
        ViewGroup.LayoutParams layoutParams;
        WXComponent component;
        if (object == null || (layoutParams = object.getLayoutParams()) == null) {
            return;
        }
        setProperty(layoutParams, value);
        if ((object instanceof IRenderResult) && (component = ((IRenderResult) object).getComponent()) != null) {
            component.notifyNativeSizeChanged(layoutParams.width, layoutParams.height);
        }
        object.requestLayout();
    }
}
