package com.taobao.weex.ui.animation;

import android.text.TextUtils;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.common.WXModule;
import com.taobao.weex.ui.action.GraphicActionAnimation;
import io.dcloud.feature.uniapp.AbsSDKInstance;
import io.dcloud.feature.uniapp.ui.AbsAnimationHolder;
import io.dcloud.feature.uniapp.ui.component.AbsBasicComponent;
/* loaded from: classes.dex */
public class WXAnimationModule extends WXModule {
    @JSMethod
    public void transition(String ref, String animation, String callBack) {
        if (TextUtils.isEmpty(ref) || TextUtils.isEmpty(animation) || this.mWXSDKInstance == null) {
            return;
        }
        GraphicActionAnimation graphicActionAnimation = new GraphicActionAnimation(this.mWXSDKInstance, ref, animation, callBack);
        WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(graphicActionAnimation.getPageId(), graphicActionAnimation);
    }

    /* loaded from: classes.dex */
    public static class AnimationHolder implements AbsAnimationHolder {
        private String callback;
        private WXAnimationBean wxAnimationBean;

        public AnimationHolder(WXAnimationBean wxAnimationBean, String callback) {
            this.wxAnimationBean = wxAnimationBean;
            this.callback = callback;
        }

        @Override // io.dcloud.feature.uniapp.ui.AbsAnimationHolder
        public void execute(AbsSDKInstance instance, AbsBasicComponent component) {
            if (instance == null || component == null) {
                return;
            }
            GraphicActionAnimation graphicActionAnimation = new GraphicActionAnimation((WXSDKInstance) instance, component.getRef(), this.wxAnimationBean, this.callback);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(graphicActionAnimation.getPageId(), graphicActionAnimation);
        }
    }
}
