package com.taobao.weex.ui.component;

import android.graphics.Rect;
import android.view.View;
/* loaded from: classes.dex */
public class AppearanceHelper {
    public static final int APPEAR = 0;
    public static final int DISAPPEAR = 1;
    public static final int RESULT_APPEAR = 1;
    public static final int RESULT_DISAPPEAR = -1;
    public static final int RESULT_NO_CHANGE = 0;
    private boolean mAppearStatus;
    private final WXComponent mAwareChild;
    private int mCellPositionInScrollable;
    private Rect mVisibleRect;
    private boolean[] mWatchFlags;

    public AppearanceHelper(WXComponent awareChild) {
        this(awareChild, 0);
    }

    public AppearanceHelper(WXComponent awareChild, int cellPositionInScrollable) {
        this.mAppearStatus = false;
        this.mWatchFlags = new boolean[]{false, false};
        this.mVisibleRect = new Rect();
        this.mAwareChild = awareChild;
        this.mCellPositionInScrollable = cellPositionInScrollable;
    }

    public void setCellPosition(int pos) {
        this.mCellPositionInScrollable = pos;
    }

    public int getCellPositionINScollable() {
        return this.mCellPositionInScrollable;
    }

    public void setWatchEvent(int event, boolean enable) {
        this.mWatchFlags[event] = enable;
    }

    public boolean isWatch() {
        boolean[] zArr = this.mWatchFlags;
        return zArr[0] || zArr[1];
    }

    public WXComponent getAwareChild() {
        return this.mAwareChild;
    }

    public boolean isAppear() {
        return this.mAppearStatus;
    }

    public int setAppearStatus(boolean newIsAppear) {
        if (this.mAppearStatus != newIsAppear) {
            this.mAppearStatus = newIsAppear;
            return newIsAppear ? 1 : -1;
        }
        return 0;
    }

    public boolean isViewVisible(boolean isList) {
        View hostView = this.mAwareChild.getHostView();
        if (isList && hostView.getVisibility() == 0 && hostView.getMeasuredHeight() == 0) {
            return true;
        }
        return hostView != null && hostView.getLocalVisibleRect(this.mVisibleRect);
    }

    public boolean isViewVisible(View view) {
        if (view.getVisibility() == 0 && view.getMeasuredHeight() == 0) {
            return true;
        }
        return view != null && view.getLocalVisibleRect(this.mVisibleRect);
    }
}
