package com.taobao.weex.ui.component;

import android.content.Context;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.Component;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.view.refresh.circlebar.CircleProgressBar;
import com.taobao.weex.utils.WXResourceUtils;
import com.taobao.weex.utils.WXUtils;
@Component(lazyload = false)
/* loaded from: classes.dex */
public class WXLoadingIndicator extends WXComponent<CircleProgressBar> {
    private static final String ANIMATING = "animating";

    public WXLoadingIndicator(WXSDKInstance instance, WXVContainer parent, boolean isLazy, BasicComponentData basicComponentData) {
        super(instance, parent, isLazy, basicComponentData);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public CircleProgressBar initComponentHostView(Context context) {
        return new CircleProgressBar(context);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        key.hashCode();
        char c = 65535;
        switch (key.hashCode()) {
            case 93090825:
                if (key.equals("arrow")) {
                    c = 0;
                    break;
                }
                break;
            case 94842723:
                if (key.equals("color")) {
                    c = 1;
                    break;
                }
                break;
            case 1118509918:
                if (key.equals("animating")) {
                    c = 2;
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
                getHostView().setShowArrow(WXUtils.getBoolean(param, true).booleanValue());
                return true;
            case 1:
                String string = WXUtils.getString(param, null);
                if (string != null) {
                    setColor(string);
                }
                return true;
            case 2:
                Boolean bool = WXUtils.getBoolean(param, null);
                if (bool != null) {
                    setAnimating(bool.booleanValue());
                }
                return true;
            default:
                return super.setProperty(key, param);
        }
    }

    @WXComponentProp(name = "color")
    public void setColor(String color) {
        if (color == null || color.equals("")) {
            return;
        }
        getHostView().setColorSchemeColors(WXResourceUtils.getColor(color, -65536));
    }

    @WXComponentProp(name = "animating")
    public void setAnimating(boolean animating) {
        if (animating) {
            getHostView().start();
        } else {
            getHostView().stop();
        }
    }

    private void setAnimatingSp(boolean animating) {
        if (animating) {
            getHostView().start();
        } else {
            getHostView().stop();
        }
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        if (getHostView() != null) {
            getHostView().destory();
        }
    }
}
