package com.taobao.weex.ui.component.pesudo;

import androidx.collection.ArrayMap;
import com.taobao.weex.common.Constants;
import java.util.Map;
/* loaded from: classes.dex */
public class PesudoStatus {
    static final int CLASS_ACTIVE = 0;
    static final int CLASS_DISABLED = 3;
    static final int CLASS_ENABLED = 2;
    static final int CLASS_FOCUS = 1;
    private static final int SET = 1;
    private static final int UNSET = 0;
    private int[] mStatuses = new int[4];

    public PesudoStatus() {
        int i = 0;
        while (true) {
            int[] iArr = this.mStatuses;
            if (i >= iArr.length) {
                return;
            }
            iArr[i] = 0;
            i++;
        }
    }

    public void setStatus(String clzName, boolean status) {
        clzName.hashCode();
        char c = 65535;
        switch (clzName.hashCode()) {
            case -1487344704:
                if (clzName.equals(Constants.PSEUDO.ACTIVE)) {
                    c = 0;
                    break;
                }
                break;
            case -1482202954:
                if (clzName.equals(Constants.PSEUDO.DISABLED)) {
                    c = 1;
                    break;
                }
                break;
            case 689157575:
                if (clzName.equals(Constants.PSEUDO.ENABLED)) {
                    c = 2;
                    break;
                }
                break;
            case 1758095582:
                if (clzName.equals(Constants.PSEUDO.FOCUS)) {
                    c = 3;
                    break;
                }
                break;
        }
        switch (c) {
            case 0:
                setStatus(0, status);
                return;
            case 1:
                setStatus(3, status);
                return;
            case 2:
                setStatus(2, status);
                return;
            case 3:
                setStatus(1, status);
                return;
            default:
                return;
        }
    }

    void setStatus(int clz, boolean status) {
        this.mStatuses[clz] = status ? 1 : 0;
    }

    public boolean isSet(int clz) {
        return this.mStatuses[clz] == 1;
    }

    public String getStatuses() {
        StringBuilder sb = new StringBuilder();
        if (isSet(0)) {
            sb.append(Constants.PSEUDO.ACTIVE);
        }
        if (isSet(3)) {
            sb.append(Constants.PSEUDO.DISABLED);
        }
        if (isSet(1) && !isSet(3)) {
            sb.append(Constants.PSEUDO.FOCUS);
        }
        if (sb.length() == 0) {
            return null;
        }
        return sb.toString();
    }

    public Map<String, Object> updateStatusAndGetUpdateStyles(String clzName, boolean status, Map<String, Map<String, Object>> pesudoStyles, Map<String, Object> originalStyles) {
        String statuses = getStatuses();
        setStatus(clzName, status);
        Map<String, Object> map = pesudoStyles.get(getStatuses());
        Map<String, Object> map2 = pesudoStyles.get(statuses);
        ArrayMap arrayMap = new ArrayMap();
        if (map2 != null) {
            arrayMap.putAll(map2);
        }
        for (K k : arrayMap.keySet()) {
            arrayMap.put(k, originalStyles.containsKey(k) ? originalStyles.get(k) : "");
        }
        if (map != null) {
            for (Map.Entry<String, Object> entry : map.entrySet()) {
                arrayMap.put(entry.getKey(), entry.getValue());
            }
        }
        return arrayMap;
    }
}
