package com.taobao.weex.ui.component.richtext;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.text.Layout;
import android.text.Selection;
import android.text.Spannable;
import android.text.Spanned;
import android.text.style.ClickableSpan;
import android.view.MotionEvent;
import com.taobao.weex.ui.component.richtext.span.ImgSpan;
import com.taobao.weex.ui.view.WXTextView;
/* loaded from: classes.dex */
public class WXRichTextView extends WXTextView {
    public WXRichTextView(Context context) {
        super(context);
    }

    @Override // com.taobao.weex.ui.view.WXTextView, android.view.View
    public boolean onTouchEvent(MotionEvent event) {
        return ((!isEnabled() || getTextLayout() == null || !(getText() instanceof Spannable)) ? false : updateSelection(event, (Spannable) getText())) || super.onTouchEvent(event);
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable who) {
        super.verifyDrawable(who);
        return true;
    }

    @Override // com.taobao.weex.ui.view.WXTextView
    public void setTextLayout(Layout layout) {
        super.setTextLayout(layout);
        if (layout.getText() instanceof Spanned) {
            Spanned spanned = (Spanned) layout.getText();
            ImgSpan[] imgSpanArr = (ImgSpan[]) spanned.getSpans(0, spanned.length(), ImgSpan.class);
            if (imgSpanArr != null) {
                for (ImgSpan imgSpan : imgSpanArr) {
                    imgSpan.setView(this);
                }
            }
        }
    }

    private boolean updateSelection(MotionEvent event, Spannable buffer) {
        int actionMasked = event.getActionMasked();
        if (actionMasked == 1 || actionMasked == 0) {
            int x = ((int) event.getX()) - getPaddingLeft();
            int y = ((int) event.getY()) - getPaddingTop();
            int scrollX = x + getScrollX();
            int scrollY = y + getScrollY();
            Layout textLayout = getTextLayout();
            int offsetForHorizontal = textLayout.getOffsetForHorizontal(textLayout.getLineForVertical(scrollY), scrollX);
            Object[] objArr = (ClickableSpan[]) buffer.getSpans(offsetForHorizontal, offsetForHorizontal, ClickableSpan.class);
            if (objArr.length != 0) {
                if (actionMasked == 1) {
                    objArr[0].onClick(this);
                } else {
                    Selection.setSelection(buffer, buffer.getSpanStart(objArr[0]), buffer.getSpanEnd(objArr[0]));
                }
                return true;
            }
            Selection.removeSelection(buffer);
        }
        return false;
    }
}
