package com.taobao.weex.ui.component.richtext.node;

import android.content.Context;
import android.text.SpannableStringBuilder;
import com.taobao.weex.dom.TextDecorationSpan;
import com.taobao.weex.dom.WXStyle;
import java.util.Map;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class SpanNode extends RichTextNode {
    public static final String NODE_TYPE = "span";

    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    protected boolean isInternalNode() {
        return true;
    }

    /* loaded from: classes.dex */
    static class SpanNodeCreator implements RichTextNodeCreator<SpanNode> {
        @Override // com.taobao.weex.ui.component.richtext.node.RichTextNodeCreator
        public /* bridge */ /* synthetic */ SpanNode createRichTextNode(Context context, String instanceId, String componentRef, String ref, Map styles, Map attrs) {
            return createRichTextNode2(context, instanceId, componentRef, ref, (Map<String, Object>) styles, (Map<String, Object>) attrs);
        }

        @Override // com.taobao.weex.ui.component.richtext.node.RichTextNodeCreator
        public SpanNode createRichTextNode(Context context, String instanceId, String componentRef) {
            return new SpanNode(context, instanceId, componentRef);
        }

        @Override // com.taobao.weex.ui.component.richtext.node.RichTextNodeCreator
        /* renamed from: createRichTextNode  reason: avoid collision after fix types in other method */
        public SpanNode createRichTextNode2(Context context, String instanceId, String componentRef, String ref, Map<String, Object> styles, Map<String, Object> attrs) {
            return new SpanNode(context, instanceId, componentRef, ref, styles, attrs);
        }
    }

    private SpanNode(Context context, String instanceId, String componentRef) {
        super(context, instanceId, componentRef);
    }

    private SpanNode(Context context, String instanceId, String componentRef, String ref, Map<String, Object> styles, Map<String, Object> attrs) {
        super(context, instanceId, componentRef, ref, styles, attrs);
    }

    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    public String toString() {
        return (this.attr == null || !this.attr.containsKey("value")) ? "" : this.attr.get("value").toString();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.richtext.node.RichTextNode
    public void updateSpans(SpannableStringBuilder spannableStringBuilder, int level) {
        super.updateSpans(spannableStringBuilder, level);
        spannableStringBuilder.setSpan(new TextDecorationSpan(WXStyle.getTextDecoration(this.style)), 0, spannableStringBuilder.length(), createSpanFlag(level));
    }
}
