package com.taobao.weex.ui.flat.widget;

import android.graphics.Canvas;
import android.graphics.Point;
import android.view.View;
import com.taobao.weex.common.Destroyable;
import com.taobao.weex.ui.flat.FlatGUIContext;
import com.taobao.weex.ui.view.border.BorderDrawable;
/* loaded from: classes.dex */
public class AndroidViewWidget extends BaseWidget implements Destroyable {
    private View mView;

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public /* bridge */ /* synthetic */ void setBackgroundAndBorder(BorderDrawable backgroundBorder) {
        super.setBackgroundAndBorder(backgroundBorder);
    }

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public /* bridge */ /* synthetic */ void setLayout(int width, int height, int left, int right, int top, int bottom, Point offset) {
        super.setLayout(width, height, left, right, top, bottom, offset);
    }

    public AndroidViewWidget(FlatGUIContext context) {
        super(context);
    }

    public void setContentView(View view) {
        this.mView = view;
    }

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public void setContentBox(int leftOffset, int topOffset, int rightOffset, int bottomOffset) {
        View view = this.mView;
        if (view != null) {
            view.setPadding(leftOffset, topOffset, rightOffset, bottomOffset);
            invalidate();
        }
    }

    @Override // com.taobao.weex.ui.flat.widget.Widget
    public void onDraw(Canvas canvas) {
        View view = this.mView;
        if (view != null) {
            view.draw(canvas);
        }
    }

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget
    public void invalidate() {
        super.invalidate();
        View view = this.mView;
        if (view != null) {
            view.invalidate();
        }
    }

    public View getView() {
        return this.mView;
    }

    @Override // com.taobao.weex.common.Destroyable
    public void destroy() {
        if (this.mView != null) {
            this.mView = null;
        }
    }
}
