package com.taobao.weex.ui.flat.widget;

import android.graphics.Canvas;
import android.graphics.Point;
import com.taobao.weex.ui.flat.FlatGUIContext;
import com.taobao.weex.ui.view.border.BorderDrawable;
import java.util.LinkedList;
import java.util.List;
/* loaded from: classes.dex */
public class WidgetGroup extends BaseWidget {
    private List<Widget> mChildren;

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public /* bridge */ /* synthetic */ void setBackgroundAndBorder(BorderDrawable backgroundBorder) {
        super.setBackgroundAndBorder(backgroundBorder);
    }

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public /* bridge */ /* synthetic */ void setContentBox(int leftOffset, int topOffset, int rightOffset, int bottomOffset) {
        super.setContentBox(leftOffset, topOffset, rightOffset, bottomOffset);
    }

    @Override // com.taobao.weex.ui.flat.widget.BaseWidget, com.taobao.weex.ui.flat.widget.Widget
    public /* bridge */ /* synthetic */ void setLayout(int width, int height, int left, int right, int top, int bottom, Point offset) {
        super.setLayout(width, height, left, right, top, bottom, offset);
    }

    public WidgetGroup(FlatGUIContext context) {
        super(context);
        this.mChildren = new LinkedList();
    }

    public void replaceAll(List<Widget> widgets) {
        this.mChildren = widgets;
        invalidate();
    }

    public List<Widget> getChildren() {
        return this.mChildren;
    }

    @Override // com.taobao.weex.ui.flat.widget.Widget
    public void onDraw(Canvas canvas) {
        for (Widget widget : this.mChildren) {
            widget.draw(canvas);
        }
    }
}
