package com.taobao.weex.ui.view;

import android.content.Intent;
import android.view.View;
import java.util.Map;
/* loaded from: classes.dex */
public interface IWebView {

    /* loaded from: classes.dex */
    public interface OnErrorListener {
        void onError(String type, Object message);
    }

    /* loaded from: classes.dex */
    public interface OnMessageListener {
        void onMessage(Map<String, Object> params);
    }

    /* loaded from: classes.dex */
    public interface OnPageListener {
        void onPageFinish(String url, boolean canGoBack, boolean canGoForward);

        void onPageStart(String url);

        void onReceivedTitle(String title);
    }

    void destroy();

    View getView();

    void goBack();

    void goForward();

    void loadDataWithBaseURL(String source);

    void loadUrl(String url);

    void onActivityResult(int requestCode, int resultCode, Intent data);

    void postMessage(Object msg);

    void reload();

    void setOnErrorListener(OnErrorListener listener);

    void setOnMessageListener(OnMessageListener listener);

    void setOnPageListener(OnPageListener listener);

    void setShowLoading(boolean shown);
}
