package com.taobao.weex.utils;

import com.taobao.weex.utils.FunctionParser;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class SingleFunctionParser<V> extends FunctionParser<String, List<V>> {

    /* loaded from: classes.dex */
    public interface FlatMapper<V> {
        V map(String raw);
    }

    /* loaded from: classes.dex */
    public interface NonUniformMapper<V> {
        List<V> map(List<String> raw);
    }

    public SingleFunctionParser(String source, final FlatMapper<V> mapper) {
        super(source, new FunctionParser.Mapper<String, List<V>>() { // from class: com.taobao.weex.utils.SingleFunctionParser.1
            @Override // com.taobao.weex.utils.FunctionParser.Mapper
            public Map<String, List<V>> map(String functionName, List<String> raw) {
                HashMap hashMap = new HashMap();
                LinkedList linkedList = new LinkedList();
                for (String str : raw) {
                    linkedList.add(FlatMapper.this.map(str));
                }
                hashMap.put(functionName, linkedList);
                return hashMap;
            }
        });
    }

    public SingleFunctionParser(String source, final NonUniformMapper<V> mapper) {
        super(source, new FunctionParser.Mapper<String, List<V>>() { // from class: com.taobao.weex.utils.SingleFunctionParser.2
            @Override // com.taobao.weex.utils.FunctionParser.Mapper
            public Map<String, List<V>> map(String functionName, List<String> raw) {
                HashMap hashMap = new HashMap();
                hashMap.put(functionName, NonUniformMapper.this.map(raw));
                return hashMap;
            }
        });
    }

    public List<V> parse(String functionName) {
        LinkedHashMap<String, V> parse = parse();
        if (parse.containsKey(functionName)) {
            return (List) parse.get(functionName);
        }
        return null;
    }
}
