package com.taobao.weex.utils;

import com.taobao.weex.dom.CSSConstants;
import com.taobao.weex.dom.CSSShorthand;
import com.taobao.weex.ui.component.WXComponent;
/* loaded from: classes.dex */
public class WXDomUtils {
    public static float getContentWidth(WXComponent component) {
        float layoutWidth = component.getLayoutWidth();
        CSSShorthand padding = component.getPadding();
        CSSShorthand border = component.getBorder();
        float f = padding.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(f)) {
            layoutWidth -= f;
        }
        float f2 = padding.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(f2)) {
            layoutWidth -= f2;
        }
        float f3 = border.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(f3)) {
            layoutWidth -= f3;
        }
        float f4 = border.get(CSSShorthand.EDGE.RIGHT);
        return !CSSConstants.isUndefined(f4) ? layoutWidth - f4 : layoutWidth;
    }

    public static float getContentHeight(WXComponent component) {
        float layoutHeight = component.getLayoutHeight();
        CSSShorthand padding = component.getPadding();
        CSSShorthand border = component.getBorder();
        float f = padding.get(CSSShorthand.EDGE.TOP);
        if (!CSSConstants.isUndefined(f)) {
            layoutHeight -= f;
        }
        float f2 = padding.get(CSSShorthand.EDGE.BOTTOM);
        if (!CSSConstants.isUndefined(f2)) {
            layoutHeight -= f2;
        }
        float f3 = border.get(CSSShorthand.EDGE.TOP);
        if (!CSSConstants.isUndefined(f3)) {
            layoutHeight -= f3;
        }
        float f4 = border.get(CSSShorthand.EDGE.BOTTOM);
        return !CSSConstants.isUndefined(f4) ? layoutHeight - f4 : layoutHeight;
    }

    public static float getContentWidth(CSSShorthand padding, CSSShorthand border, float layoutWidth) {
        float f = padding.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(f)) {
            layoutWidth -= f;
        }
        float f2 = padding.get(CSSShorthand.EDGE.RIGHT);
        if (!CSSConstants.isUndefined(f2)) {
            layoutWidth -= f2;
        }
        float f3 = border.get(CSSShorthand.EDGE.LEFT);
        if (!CSSConstants.isUndefined(f3)) {
            layoutWidth -= f3;
        }
        float f4 = border.get(CSSShorthand.EDGE.RIGHT);
        return !CSSConstants.isUndefined(f4) ? layoutWidth - f4 : layoutWidth;
    }
}
