package com.taobao.weex.utils;

import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import android.util.Base64;
import io.dcloud.common.util.Md5Utils;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.weex.DCFileUtils;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipInputStream;
/* loaded from: classes.dex */
public class WXFileUtils {
    public static String loadFileOrAsset(String path, Context context) {
        if (TextUtils.isEmpty(path)) {
            return "";
        }
        File file = new File(path);
        if (file.exists()) {
            try {
                return readStreamToString(new FileInputStream(file));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
                return "";
            }
        }
        return loadAsset(path, context);
    }

    public static String loadAsset(String path, Context context) {
        if (context == null || TextUtils.isEmpty(path)) {
            return null;
        }
        try {
            String assetPath = DCFileUtils.getAssetPath(path);
            InputStream loadWeexAsset = DCFileUtils.loadWeexAsset(assetPath, context);
            if (loadWeexAsset == null) {
                loadWeexAsset = context.getAssets().open(assetPath);
            }
            return readStreamToString(loadWeexAsset);
        } catch (IOException unused) {
            return "";
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:55:0x0063 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:57:0x006d A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private static String readStreamToString(InputStream inputStream) {
        BufferedReader bufferedReader;
        IOException e;
        BufferedReader bufferedReader2 = null;
        try {
            StringBuilder sb = new StringBuilder(inputStream.available() + 10);
            bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            try {
                try {
                    char[] cArr = new char[4096];
                    while (true) {
                        int read = bufferedReader.read(cArr);
                        if (read <= 0) {
                            break;
                        }
                        sb.append(cArr, 0, read);
                    }
                    String sb2 = sb.toString();
                    try {
                        bufferedReader.close();
                    } catch (IOException e2) {
                        WXLogUtils.e("WXFileUtils loadAsset: ", e2);
                    }
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException e3) {
                            WXLogUtils.e("WXFileUtils loadAsset: ", e3);
                        }
                    }
                    return sb2;
                } catch (IOException e4) {
                    e = e4;
                    WXLogUtils.e("", e);
                    if (bufferedReader != null) {
                        try {
                            bufferedReader.close();
                        } catch (IOException e5) {
                            WXLogUtils.e("WXFileUtils loadAsset: ", e5);
                        }
                    }
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException e6) {
                            WXLogUtils.e("WXFileUtils loadAsset: ", e6);
                        }
                    }
                    return "";
                }
            } catch (Throwable th) {
                th = th;
                bufferedReader2 = bufferedReader;
                if (bufferedReader2 != null) {
                    try {
                        bufferedReader2.close();
                    } catch (IOException e7) {
                        WXLogUtils.e("WXFileUtils loadAsset: ", e7);
                    }
                }
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (IOException e8) {
                        WXLogUtils.e("WXFileUtils loadAsset: ", e8);
                    }
                }
                throw th;
            }
        } catch (IOException e9) {
            bufferedReader = null;
            e = e9;
        } catch (Throwable th2) {
            th = th2;
            if (bufferedReader2 != null) {
            }
            if (inputStream != null) {
            }
            throw th;
        }
    }

    public static byte[] readBytesFromAssets(String path, Context context) {
        if (context != null && !TextUtils.isEmpty(path)) {
            try {
                InputStream open = context.getAssets().open(path);
                byte[] bArr = new byte[4096];
                int read = open.read(bArr);
                byte[] bArr2 = new byte[read];
                System.arraycopy(bArr, 0, bArr2, 0, read);
                return bArr2;
            } catch (IOException e) {
                WXLogUtils.e("", e);
            }
        }
        return null;
    }

    public static boolean saveFile(String path, byte[] content, Context context) {
        FileOutputStream fileOutputStream;
        if (TextUtils.isEmpty(path) || content == null || context == null) {
            return false;
        }
        FileOutputStream fileOutputStream2 = null;
        try {
            try {
                fileOutputStream = new FileOutputStream(path);
            } catch (Throwable th) {
                th = th;
            }
        } catch (Exception e) {
            e = e;
        }
        try {
            fileOutputStream.write(content);
            try {
                fileOutputStream.close();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
            return true;
        } catch (Exception e3) {
            e = e3;
            fileOutputStream2 = fileOutputStream;
            WXLogUtils.e("WXFileUtils saveFile: " + WXLogUtils.getStackTrace(e));
            if (fileOutputStream2 != null) {
                try {
                    fileOutputStream2.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                }
            }
            return false;
        } catch (Throwable th2) {
            th = th2;
            fileOutputStream2 = fileOutputStream;
            if (fileOutputStream2 != null) {
                try {
                    fileOutputStream2.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static String md5(String template) {
        if (template == null) {
            return "";
        }
        try {
            return md5(template.getBytes("UTF-8"));
        } catch (UnsupportedEncodingException unused) {
            return "";
        }
    }

    public static String md5(byte[] bts) {
        try {
            MessageDigest messageDigest = MessageDigest.getInstance(Md5Utils.ALGORITHM);
            messageDigest.update(bts);
            return new BigInteger(1, messageDigest.digest()).toString(16);
        } catch (NoSuchAlgorithmException unused) {
            return "";
        }
    }

    public static String base64Md5(String template) {
        if (template == null) {
            return "";
        }
        try {
            return base64Md5(template.getBytes("UTF-8"));
        } catch (UnsupportedEncodingException unused) {
            return "";
        }
    }

    public static String base64Md5(byte[] bts) {
        try {
            MessageDigest messageDigest = MessageDigest.getInstance(Md5Utils.ALGORITHM);
            messageDigest.update(bts);
            return Base64.encodeToString(messageDigest.digest(), 2);
        } catch (NoSuchAlgorithmException unused) {
            return "";
        }
    }

    private static String[] validCPUABIS() {
        String[] strArr = Build.VERSION.SDK_INT >= 21 ? Build.SUPPORTED_ABIS : null;
        return (strArr == null || strArr.length == 0) ? new String[]{Build.CPU_ABI} : strArr;
    }

    private static boolean validLibPath(String path) {
        for (String str : validCPUABIS()) {
            if (path.contains(str)) {
                return true;
            }
        }
        return false;
    }

    private static boolean replaceLib(String replaceLibAbi, String currentLibAbi) {
        String[] validCPUABIS;
        if (replaceLibAbi == null || currentLibAbi == null) {
            return true;
        }
        boolean z = false;
        for (String str : validCPUABIS()) {
            if (currentLibAbi.contains(str) && z) {
                return true;
            }
            if (replaceLibAbi.contains(str)) {
                z = true;
            }
        }
        return false;
    }

    public static boolean extractSo(String apkFile, String path) throws IOException {
        boolean z = false;
        if (PdrUtil.isSafeEntryName(apkFile) && PdrUtil.isSafeEntryName(path)) {
            HashMap hashMap = new HashMap();
            ZipFile zipFile = new ZipFile(apkFile);
            ZipInputStream zipInputStream = new ZipInputStream(new BufferedInputStream(new FileInputStream(apkFile)));
            Enumeration<? extends ZipEntry> entries = zipFile.entries();
            while (entries.hasMoreElements()) {
                ZipEntry nextElement = entries.nextElement();
                if (!nextElement.getName().contains("../") && !nextElement.isDirectory() && validLibPath(nextElement.getName()) && (nextElement.getName().contains("weex") || nextElement.getName().equals("libjsc.so") || nextElement.getName().equals("libJavaScriptCore.so"))) {
                    String[] split = nextElement.getName().split("/");
                    String str = split[split.length - 1];
                    File file = new File(path + "/" + str);
                    if (replaceLib(nextElement.getName(), (String) hashMap.get(str))) {
                        hashMap.put(str, nextElement.getName());
                        if (file.exists()) {
                            file.delete();
                        }
                        InputStream inputStream = zipFile.getInputStream(nextElement);
                        byte[] bArr = new byte[1024];
                        file.createNewFile();
                        FileOutputStream fileOutputStream = new FileOutputStream(file);
                        while (inputStream.read(bArr) != -1) {
                            fileOutputStream.write(bArr);
                        }
                        fileOutputStream.close();
                    }
                    z = true;
                }
            }
            zipInputStream.closeEntry();
        }
        return z;
    }

    public static void copyFile(File oldFile, File newFile) {
        FileOutputStream fileOutputStream;
        Exception e;
        FileInputStream fileInputStream;
        try {
            fileInputStream = new FileInputStream(oldFile);
            try {
                byte[] bArr = new byte[1024];
                fileOutputStream = new FileOutputStream(newFile);
                while (fileInputStream.read(bArr) != -1) {
                    try {
                        fileOutputStream.write(bArr);
                    } catch (Exception e2) {
                        e = e2;
                        WXLogUtils.e("copyFile " + e.getMessage() + ": " + oldFile.getAbsolutePath() + ": " + newFile.getAbsolutePath());
                        if (fileInputStream != null) {
                            try {
                                fileInputStream.close();
                            } catch (IOException e3) {
                                e3.printStackTrace();
                            }
                        }
                        if (fileOutputStream != null) {
                            try {
                                fileOutputStream.close();
                                return;
                            } catch (IOException e4) {
                                e4.printStackTrace();
                                return;
                            }
                        }
                        return;
                    }
                }
                fileInputStream.close();
                fileOutputStream.close();
            } catch (Exception e5) {
                fileOutputStream = null;
                e = e5;
            }
        } catch (Exception e6) {
            fileOutputStream = null;
            e = e6;
            fileInputStream = null;
        }
    }

    public static void copyFileWithException(File oldFile, File newFile) throws Exception {
        FileOutputStream fileOutputStream;
        FileInputStream fileInputStream = null;
        try {
            FileInputStream fileInputStream2 = new FileInputStream(oldFile);
            try {
                byte[] bArr = new byte[1024];
                fileOutputStream = new FileOutputStream(newFile);
                while (fileInputStream2.read(bArr) != -1) {
                    try {
                        fileOutputStream.write(bArr);
                    } catch (Exception e) {
                        e = e;
                        fileInputStream = fileInputStream2;
                        try {
                            throw e;
                        } catch (Throwable th) {
                            th = th;
                            closeIo(fileInputStream);
                            closeIo(fileOutputStream);
                            throw th;
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        fileInputStream = fileInputStream2;
                        closeIo(fileInputStream);
                        closeIo(fileOutputStream);
                        throw th;
                    }
                }
                closeIo(fileInputStream2);
                closeIo(fileOutputStream);
            } catch (Exception e2) {
                e = e2;
                fileOutputStream = null;
            } catch (Throwable th3) {
                th = th3;
                fileOutputStream = null;
            }
        } catch (Exception e3) {
            e = e3;
            fileOutputStream = null;
        } catch (Throwable th4) {
            th = th4;
            fileOutputStream = null;
        }
    }

    public static void closeIo(Closeable c) {
        if (c == null) {
            return;
        }
        try {
            c.close();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }
}
