package io.dcloud.common.adapter.io;

import android.content.Context;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.util.FileUtil;
import io.dcloud.common.util.IOUtil;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.ThreadPool;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FilenameFilter;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.RandomAccessFile;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public class DHFile {
    public static final int BUF_SIZE = 204800;
    public static final byte FS_JAR = 0;
    public static final byte FS_NATIVE = 2;
    public static final byte FS_RMS = 1;
    public static final int READ = 1;
    public static final int READ_WRITE = 3;
    private static final String ROOTPATH = "/";
    public static final int WRITE = 2;

    public static void addFile(String str, byte[] bArr) throws IOException {
        Object createFileHandler = createFileHandler(str);
        createNewFile(createFileHandler);
        OutputStream outputStream = getOutputStream(createFileHandler, false);
        if (outputStream != null) {
            try {
                outputStream.write(bArr, 0, bArr.length);
                outputStream.flush();
                outputStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static boolean canRead(String str) throws IOException {
        return getFile(getRealPath(str)).canRead();
    }

    private static boolean checkIsNeedReload(String str) {
        return str.endsWith(".png") || str.endsWith(".jpg") || str.endsWith(".xml") || str.endsWith(".bmp");
    }

    public static boolean copyAssetsFile(String str, String str2) {
        boolean z = false;
        InputStream inputStream = null;
        try {
            inputStream = PlatformUtil.getResInputStream(str);
            if (inputStream != null) {
                z = writeFile(inputStream, str2);
            } else if (checkIsNeedReload(str)) {
                Logger.d("PlatFU copyAssetsFile fail ！！！！  is = null < " + str + " > to < " + str2 + " >");
            }
            Logger.d("PlatFU copyAssetsFile < " + str + " > to < " + str2 + " >");
        } catch (Exception e) {
            Logger.d("PlatFU copyAssetsFile " + str2 + " error!!!  is it a dir ?");
            StringBuilder sb = new StringBuilder();
            sb.append("PlatFU copyAssetsFile ");
            sb.append(e);
            Logger.d(sb.toString());
            if (checkIsNeedReload(str)) {
                Logger.d("PlatFU copyAssetsFile fail ！！！！ Exception< " + str + " > to < " + str2 + " >");
            }
        } finally {
            IOUtil.close(inputStream);
        }
        return z;
    }

    public static void copyDir(String str, String str2) {
        if (str == null || str2 == null) {
            return;
        }
        try {
            if (str.charAt(0) == '/') {
                str = str.substring(1, str.length());
            }
            if (str.charAt(str.length() - 1) == '/') {
                str = str.substring(0, str.length() - 1);
            }
            String[] listResFiles = PlatformUtil.listResFiles(str);
            if (createNewFile(str2) != -1) {
                for (String str3 : listResFiles) {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append(str);
                    stringBuffer.append('/');
                    stringBuffer.append(str3);
                    String stringBuffer2 = stringBuffer.toString();
                    StringBuffer stringBuffer3 = new StringBuffer();
                    stringBuffer3.append(str2);
                    stringBuffer3.append(str3);
                    String stringBuffer4 = stringBuffer3.toString();
                    if (!copyAssetsFile(stringBuffer2, stringBuffer4)) {
                        if (!checkIsNeedReload(str3)) {
                            copyDir(stringBuffer2, stringBuffer4 + "/");
                        } else if (!copyAssetsFile(stringBuffer2, stringBuffer4) && !copyAssetsFile(stringBuffer2, stringBuffer4)) {
                            Logger.d("PlatFU copyDir fail 3 times!!!!" + stringBuffer2);
                            copyDir(stringBuffer2, stringBuffer4 + "/");
                        }
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static int copyFile(String str, String str2, boolean z, boolean z2, ICallBack iCallBack) {
        InputStream inputStream;
        OutputStream outputStream;
        Context context;
        int i;
        InputStream fileInputStream;
        String realPath = getRealPath(str);
        String realPath2 = getRealPath(str2);
        OutputStream outputStream2 = null;
        outputStream2 = null;
        outputStream2 = null;
        outputStream2 = null;
        InputStream inputStream2 = null;
        int i2 = -1;
        try {
            context = DCLoudApplicationImpl.self().getContext();
        } catch (Exception e) {
            e = e;
            outputStream = null;
        } catch (Throwable th) {
            th = th;
            inputStream = null;
        }
        if (!FileUtil.checkPathAccord(context, realPath2) && AndroidResources.sAppTargetSdkVersion > 28) {
            try {
                Thread.sleep(10L);
            } catch (Exception unused) {
            }
            IOUtil.close((InputStream) null);
            IOUtil.close((OutputStream) null);
            return -3;
        }
        if (isExist(realPath2)) {
            if (z2) {
                try {
                    Thread.sleep(10L);
                } catch (Exception unused2) {
                }
                IOUtil.close((InputStream) null);
                IOUtil.close((OutputStream) null);
                return -2;
            } else if (z && !isDirectory(new File(realPath2))) {
                deleteFile(realPath2);
            }
        }
        File file = new File(realPath);
        if (!file.exists()) {
            if (iCallBack != null) {
                iCallBack.onCallBack(-1, "not file =" + realPath);
            }
            try {
                Thread.sleep(10L);
            } catch (Exception unused3) {
            }
            IOUtil.close((InputStream) null);
            IOUtil.close((OutputStream) null);
            return -1;
        }
        if (file.isDirectory()) {
            String[] list = list(file);
            StringBuilder sb = new StringBuilder();
            sb.append(realPath);
            String str3 = File.separator;
            sb.append(realPath.endsWith(str3) ? "" : str3);
            String sb2 = sb.toString();
            StringBuilder sb3 = new StringBuilder();
            sb3.append(realPath2);
            if (realPath2.endsWith(str3)) {
                str3 = "";
            }
            sb3.append(str3);
            String sb4 = sb3.toString();
            int i3 = -1;
            for (i = 0; i < list.length; i++) {
                i3 = copyFile(sb2 + list[i], sb4 + list[i], z, z2);
                if (i3 != 1) {
                    if (iCallBack != null) {
                        iCallBack.onCallBack(i3, "copyFile error src=" + sb2 + list[i] + " dest=" + sb4 + list[i]);
                    }
                    try {
                        Thread.sleep(10L);
                    } catch (Exception unused4) {
                    }
                    IOUtil.close((InputStream) null);
                    IOUtil.close((OutputStream) null);
                    return i3;
                }
            }
            inputStream = null;
            i2 = i3;
        } else {
            if (!FileUtil.checkPathAccord(context, realPath) && AndroidResources.sAppTargetSdkVersion > 28) {
                if (FileUtil.isFilePathForPublic(context, realPath)) {
                    fileInputStream = FileUtil.getFileInputStream(context, file);
                } else {
                    try {
                        Thread.sleep(10L);
                    } catch (Exception unused5) {
                    }
                    IOUtil.close((InputStream) null);
                    IOUtil.close((OutputStream) null);
                    return -3;
                }
            } else {
                fileInputStream = new FileInputStream(file);
            }
            inputStream = fileInputStream;
            try {
                Object createFileHandler = createFileHandler(realPath2);
                if (!isExist(createFileHandler)) {
                    createNewFile(createFileHandler);
                }
                outputStream2 = getOutputStream(createFileHandler);
                byte[] bArr = new byte[BUF_SIZE];
                if (inputStream != null) {
                    while (true) {
                        int read = inputStream.read(bArr);
                        if (read <= 0) {
                            break;
                        }
                        outputStream2.write(bArr, 0, read);
                        outputStream2.flush();
                    }
                    i2 = 1;
                }
            } catch (Exception e2) {
                e = e2;
                OutputStream outputStream3 = outputStream2;
                inputStream2 = inputStream;
                outputStream = outputStream3;
                try {
                    Logger.i("copyFile:" + e);
                    if (iCallBack != null) {
                        iCallBack.onCallBack(-1, "copyFile error Message=" + e.getMessage());
                    }
                    try {
                        Thread.sleep(10L);
                    } catch (Exception unused6) {
                    }
                    IOUtil.close(inputStream2);
                    IOUtil.close(outputStream);
                    return i2;
                } catch (Throwable th2) {
                    th = th2;
                    InputStream inputStream3 = inputStream2;
                    outputStream2 = outputStream;
                    inputStream = inputStream3;
                    try {
                        Thread.sleep(10L);
                    } catch (Exception unused7) {
                    }
                    IOUtil.close(inputStream);
                    IOUtil.close(outputStream2);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                Thread.sleep(10L);
                IOUtil.close(inputStream);
                IOUtil.close(outputStream2);
                throw th;
            }
        }
        try {
            Thread.sleep(10L);
        } catch (Exception unused8) {
        }
        IOUtil.close(inputStream);
        IOUtil.close(outputStream2);
        return i2;
    }

    public static Object createFileHandler(String str) {
        return str.replace('\\', '/');
    }

    /* JADX WARN: Removed duplicated region for block: B:16:0x0043  */
    /* JADX WARN: Removed duplicated region for block: B:19:0x0061 A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:21:0x0063  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static byte createNewFile(Object obj) {
        File file;
        boolean z;
        File parentFile;
        if (obj == null) {
            return (byte) -1;
        }
        boolean z2 = false;
        if (obj instanceof String) {
            String str = (String) obj;
            Logger.d("createNewFile 0:" + str);
            file = new File(str);
            if (str.endsWith("/")) {
                z = true;
                parentFile = file.getParentFile();
                if (!parentFile.exists()) {
                    boolean mkdirs = parentFile.mkdirs();
                    Logger.d("createNewFile: parentPath mkdirs " + mkdirs);
                }
                if (file.exists()) {
                    if (z) {
                        z2 = file.mkdirs();
                    } else {
                        try {
                            z2 = file.createNewFile();
                        } catch (IOException e) {
                            Logger.w("createNewFile:", e);
                        }
                    }
                    return z2 ? (byte) 1 : (byte) -1;
                }
                return (byte) -2;
            }
        } else if (!(obj instanceof File)) {
            return (byte) -1;
        } else {
            file = (File) obj;
        }
        z = false;
        parentFile = file.getParentFile();
        if (!parentFile.exists()) {
        }
        if (file.exists()) {
        }
    }

    public static boolean delete(Object obj) {
        boolean delete;
        if (obj == null) {
            return false;
        }
        try {
            File file = getFile(obj);
            if (file.exists()) {
                if (file.isFile()) {
                    return file.delete();
                }
                File[] listFiles = file.listFiles();
                if (listFiles != null && listFiles.length > 0) {
                    for (int i = 0; i < listFiles.length; i++) {
                        Logger.d("delete:" + listFiles[i].getPath());
                        if (listFiles[i].isDirectory()) {
                            delete = delete(file.getPath() + "/" + listFiles[i].getName());
                        } else {
                            delete = listFiles[i].delete();
                            Thread.sleep(2L);
                        }
                        if (!delete) {
                            return false;
                        }
                    }
                }
                boolean delete2 = file.delete();
                Logger.i("delete " + obj + ":" + String.valueOf(delete2));
                return delete2;
            }
            return false;
        } catch (Exception e) {
            Logger.w("DHFile.delete", e);
            return false;
        }
    }

    public static void deleteAsync(final Object obj, final IAsyncCallback iAsyncCallback) {
        if (iAsyncCallback == null) {
            return;
        }
        if (obj == null) {
            iAsyncCallback.done(false);
            return;
        }
        try {
            ThreadPool.self().addSingleThreadTask(new Runnable() { // from class: io.dcloud.common.adapter.io.DHFile.1
                @Override // java.lang.Runnable
                public void run() {
                    boolean delete;
                    try {
                        File file = DHFile.getFile(obj);
                        if (!file.exists()) {
                            iAsyncCallback.done(false);
                        } else if (file.isFile()) {
                            iAsyncCallback.done(file.delete());
                        } else {
                            File[] listFiles = file.listFiles();
                            if (listFiles != null && listFiles.length > 0) {
                                for (int i = 0; i < listFiles.length; i++) {
                                    if (listFiles[i].isDirectory()) {
                                        delete = DHFile.delete(file.getPath() + "/" + listFiles[i].getName());
                                    } else {
                                        delete = listFiles[i].delete();
                                    }
                                    if (!delete) {
                                        iAsyncCallback.done(false);
                                        return;
                                    }
                                }
                            }
                            iAsyncCallback.done(file.delete());
                        }
                    } catch (Exception e) {
                        Logger.w("DHFile.delete", e);
                        iAsyncCallback.done(false);
                    }
                }
            });
        } catch (Exception unused) {
            iAsyncCallback.done(false);
        }
    }

    public static int deleteFile(String str) throws IOException {
        return delete(new File(getRealPath(str))) ? 1 : -1;
    }

    public static boolean exists(Object obj) {
        boolean exists;
        try {
            if (obj instanceof String) {
                String str = (String) obj;
                if (str.endsWith("/")) {
                    str = str.substring(0, str.length() - 1);
                }
                exists = new File(str).exists();
            } else if (!(obj instanceof File)) {
                return false;
            } else {
                exists = ((File) obj).exists();
            }
            return exists;
        } catch (Exception unused) {
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static File getFile(Object obj) {
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.endsWith("/")) {
                str = str.substring(0, str.length() - 1);
            }
            return new File(str);
        } else if (obj instanceof File) {
            return (File) obj;
        } else {
            return null;
        }
    }

    public static String getFileName(Object obj) {
        return getName(obj);
    }

    public static String getFilePath(Object obj) {
        return getPath(obj);
    }

    public static long getFileSize(File file) {
        long j = 0;
        if (file.isDirectory()) {
            for (File file2 : file.listFiles()) {
                j += getFileSize(file2);
            }
            return j;
        }
        return 0 + file.length();
    }

    public static String getFileUrl(Object obj) {
        return getPath(obj);
    }

    public static InputStream getInputStream(Object obj) throws IOException {
        File file;
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.startsWith(DeviceInfo.FILE_PROTOCOL)) {
                str = str.substring(7);
            }
            file = new File(str);
        } else {
            file = obj instanceof File ? (File) obj : null;
        }
        if (file == null || !file.exists() || file.isDirectory()) {
            return null;
        }
        try {
            return new FileInputStream(file);
        } catch (FileNotFoundException unused) {
            Logger.e("DHFile getInputStream not found file: " + file.getPath());
            return null;
        } catch (SecurityException e) {
            Logger.w("getInputStream2", e);
            return null;
        }
    }

    public static long getLastModify(String str) throws IOException {
        File file = new File(getRealPath(str));
        if (file.exists()) {
            return file.lastModified();
        }
        return 0L;
    }

    public static String getName(Object obj) {
        if (obj instanceof String) {
            String str = (String) obj;
            if (str.endsWith("/")) {
                str = str.substring(0, str.length() - 1);
            }
            return str.substring(str.lastIndexOf(47) + 1);
        }
        return ((File) obj).getName();
    }

    public static OutputStream getOutputStream(Object obj) throws IOException {
        File file;
        if (obj instanceof String) {
            file = new File((String) obj);
        } else {
            file = obj instanceof File ? (File) obj : null;
        }
        if (file != null) {
            if (file.canWrite()) {
                try {
                    return new FileOutputStream(file);
                } catch (FileNotFoundException e) {
                    Logger.w("getOutputStream:", e);
                    return null;
                }
            }
            Logger.i("getOutputStream:can not write");
            return null;
        }
        return null;
    }

    public static Object getParent(Object obj) throws IOException {
        StringBuffer stringBuffer = new StringBuffer(getPath(obj));
        if (((File) obj).isDirectory()) {
            stringBuffer.deleteCharAt(stringBuffer.length() - 1);
        }
        stringBuffer.delete(stringBuffer.toString().lastIndexOf(47), stringBuffer.length());
        return createFileHandler(stringBuffer.toString());
    }

    public static String getPath(Object obj) {
        if (obj instanceof String) {
            String str = (String) obj;
            return str.substring(0, str.lastIndexOf(47) + 1);
        } else if (obj instanceof File) {
            return ((File) obj).getPath();
        } else {
            return null;
        }
    }

    private static String getRealPath(String str) {
        String str2 = DeviceInfo.sBaseFsRootPath;
        StringBuffer stringBuffer = new StringBuffer();
        if ("".equals(str)) {
            return str2;
        }
        try {
            char[] charArray = str.toCharArray();
            int i = 0;
            while (i < charArray.length) {
                int i2 = 3;
                if ((charArray[0] == 'C' || charArray[0] == 'c') && i == 0) {
                    stringBuffer.append(str2);
                    i = 3;
                }
                if ((charArray[0] == 'D' || charArray[0] == 'd') && i == 0) {
                    stringBuffer.append(str2);
                } else {
                    i2 = i;
                }
                if (charArray[i2] == '\\') {
                    stringBuffer.append('/');
                } else {
                    stringBuffer.append(charArray[i2]);
                }
                i = i2 + 1;
            }
            return stringBuffer.toString();
        } catch (ArrayIndexOutOfBoundsException unused) {
            return str;
        }
    }

    public static boolean hasFile() {
        return false;
    }

    public static boolean isDirectory(Object obj) throws IOException {
        return ((File) obj).isDirectory();
    }

    public static boolean isExist(String str) throws IOException {
        return exists(getFile(getRealPath(str)));
    }

    public static boolean isHidden(Object obj) throws IOException {
        File file = getFile(obj);
        if (file == null) {
            return false;
        }
        return file.isHidden();
    }

    public static long length(Object obj) {
        try {
            return ((File) obj).length();
        } catch (Exception e) {
            Logger.w("length:", e);
            return -1L;
        }
    }

    public static String[] list(Object obj) throws IOException {
        Object[] listFiles = listFiles(obj);
        if (listFiles != null) {
            String[] strArr = new String[listFiles.length];
            for (int i = 0; i < listFiles.length; i++) {
                File file = (File) listFiles[i];
                if (file.isDirectory()) {
                    strArr[i] = file.getName() + "/";
                } else {
                    strArr[i] = file.getName();
                }
            }
            return strArr;
        }
        return null;
    }

    public static String[] listDir(Object obj) throws IOException {
        Object[] listFiles = listFiles(obj);
        if (listFiles != null) {
            String[] strArr = new String[listFiles.length];
            for (int i = 0; i < listFiles.length; i++) {
                File file = (File) listFiles[i];
                if (file.isDirectory()) {
                    strArr[i] = file.getName() + "/";
                }
            }
            return strArr;
        }
        return null;
    }

    public static Object[] listFiles(Object obj) throws IOException {
        File file;
        if (obj instanceof String) {
            file = new File((String) obj);
        } else {
            file = obj instanceof File ? (File) obj : null;
        }
        if (file != null) {
            file.isDirectory();
            try {
                return file.listFiles();
            } catch (Exception e) {
                Logger.w("listFiles:", e);
                return null;
            }
        }
        return null;
    }

    public static List<String> listFilesWithName(Object obj, final String str) {
        File[] listFiles;
        ArrayList arrayList = new ArrayList();
        if (str == null) {
            return arrayList;
        }
        File file = null;
        if (obj instanceof String) {
            file = new File((String) obj);
        } else if (obj instanceof File) {
            file = (File) obj;
        }
        if (file == null || !file.exists() || !file.isDirectory() || (listFiles = file.listFiles(new FilenameFilter() { // from class: io.dcloud.common.adapter.io.DHFile.3
            @Override // java.io.FilenameFilter
            public boolean accept(File file2, String str2) {
                return new File(file2, str2).isDirectory() || str2.equals(str);
            }
        })) == null) {
            return arrayList;
        }
        for (File file2 : listFiles) {
            if (file2.isDirectory()) {
                arrayList.addAll(listFilesWithName(file2, str));
            } else {
                arrayList.add(file2.getPath());
            }
        }
        return arrayList;
    }

    public static List<String> listFilesWithSuffix(Object obj, final String str) {
        File[] listFiles;
        ArrayList arrayList = new ArrayList();
        if (str == null) {
            return arrayList;
        }
        File file = null;
        if (obj instanceof String) {
            file = new File((String) obj);
        } else if (obj instanceof File) {
            file = (File) obj;
        }
        if (file == null || !file.exists() || !file.isDirectory() || (listFiles = file.listFiles(new FilenameFilter() { // from class: io.dcloud.common.adapter.io.DHFile.2
            @Override // java.io.FilenameFilter
            public boolean accept(File file2, String str2) {
                return new File(file2, str2).isDirectory() || str2.toLowerCase().endsWith(str);
            }
        })) == null) {
            return arrayList;
        }
        for (File file2 : listFiles) {
            if (file2.isDirectory()) {
                arrayList.addAll(listFilesWithSuffix(file2, str));
            } else {
                arrayList.add(file2.getPath());
            }
        }
        return arrayList;
    }

    public static String[] listRoot() throws IOException {
        return new File("/").list();
    }

    protected static Object openFile(String str, int i, boolean z) throws IOException {
        return createFileHandler(getRealPath(str));
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:58:0x0069 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r5v0, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r5v3 */
    /* JADX WARN: Type inference failed for: r5v7, types: [java.io.InputStream] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static byte[] readAll(Object obj) {
        Throwable th;
        InputStream inputStream;
        try {
            try {
                try {
                    inputStream = getInputStream(obj);
                } catch (Throwable th2) {
                    th = th2;
                    if (obj != 0) {
                        try {
                            obj.close();
                        } catch (IOException e) {
                            e.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (FileNotFoundException e2) {
                e = e2;
                inputStream = null;
            } catch (IOException e3) {
                e = e3;
                inputStream = null;
            } catch (SecurityException e4) {
                e = e4;
                inputStream = null;
            } catch (Throwable th3) {
                th = th3;
                obj = 0;
                if (obj != 0) {
                }
                throw th;
            }
        } catch (IOException e5) {
            e5.printStackTrace();
        }
        if (inputStream == null) {
            if (inputStream != null) {
                inputStream.close();
            }
            return null;
        }
        try {
            byte[] bytes = IOUtil.getBytes(inputStream);
            try {
                inputStream.close();
            } catch (IOException e6) {
                e6.printStackTrace();
            }
            return bytes;
        } catch (FileNotFoundException e7) {
            e = e7;
            Logger.i("readAll 0:" + e.getLocalizedMessage());
            if (inputStream != null) {
                inputStream.close();
            }
            return null;
        } catch (IOException e8) {
            e = e8;
            Logger.w("readAll 2:", e);
            if (inputStream != null) {
                inputStream.close();
            }
            return null;
        } catch (SecurityException e9) {
            e = e9;
            Logger.w("readAll 1:", e);
            if (inputStream != null) {
                inputStream.close();
            }
            return null;
        }
    }

    public static int rename(String str, String str2) throws IOException {
        String str3;
        String realPath = getRealPath(str);
        if (realPath.endsWith("/")) {
            if (!str2.endsWith("/")) {
                str2 = str2 + "/";
            }
            str3 = realPath.substring(0, realPath.length() - 1);
        } else {
            str3 = null;
        }
        if (str3 != null) {
            if (!PdrUtil.isDeviceRootDir(str2)) {
                str2 = str3.substring(0, str3.lastIndexOf("/") + 1) + str2;
            }
            String realPath2 = getRealPath(str2);
            File file = new File(realPath);
            if (file.exists()) {
                File file2 = new File(realPath2);
                if (!file2.exists() && file.renameTo(file2)) {
                    return 1;
                }
            }
            return -1;
        }
        return -1;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v14 */
    public static boolean writeFile(InputStream inputStream, String str) throws IOException {
        FileOutputStream fileOutputStream;
        File file = new File(str);
        File parentFile = file.getParentFile();
        if (!parentFile.exists()) {
            parentFile.mkdirs();
        }
        FileOutputStream fileOutputStream2 = null;
        fileOutputStream2 = null;
        FileOutputStream fileOutputStream3 = null;
        boolean z = false;
        try {
            try {
                FileOutputStream fileOutputStream4 = new FileOutputStream(file);
                fileOutputStream = fileOutputStream4;
                if (inputStream != null) {
                    try {
                        byte[] bArr = new byte[BUF_SIZE];
                        while (true) {
                            int read = inputStream.read(bArr);
                            if (read <= 0) {
                                break;
                            }
                            fileOutputStream4.write(bArr, 0, read);
                        }
                        z = true;
                        fileOutputStream = fileOutputStream4;
                        fileOutputStream2 = bArr;
                    } catch (Exception e) {
                        e = e;
                        fileOutputStream3 = fileOutputStream4;
                        e.printStackTrace();
                        fileOutputStream = fileOutputStream3;
                        fileOutputStream2 = fileOutputStream3;
                        IOUtil.close(fileOutputStream);
                        return z;
                    } catch (Throwable th) {
                        th = th;
                        fileOutputStream2 = fileOutputStream4;
                        IOUtil.close(fileOutputStream2);
                        throw th;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (Exception e2) {
            e = e2;
        }
        IOUtil.close(fileOutputStream);
        return z;
    }

    public static Object openFile(String str, int i) throws IOException {
        return openFile(str, i, false);
    }

    public static boolean isExist(Object obj) throws IOException {
        File file = getFile(obj);
        if (file == null) {
            return false;
        }
        return file.exists();
    }

    public static boolean isHidden(String str) throws IOException {
        File file = new File(getRealPath(str));
        if (file.exists()) {
            return isHidden(file);
        }
        return false;
    }

    public static OutputStream getOutputStream(Object obj, boolean z) throws IOException {
        File file;
        if (obj instanceof String) {
            file = new File((String) obj);
        } else {
            file = obj instanceof File ? (File) obj : null;
        }
        if (file != null) {
            if (file.canWrite()) {
                try {
                    return new FileOutputStream(file, z);
                } catch (FileNotFoundException e) {
                    Logger.w("getOutputStream:", e);
                    return null;
                }
            }
            Logger.i("getOutputStream:can not write");
            return null;
        }
        return null;
    }

    public static void writeFile(byte[] bArr, int i, String str) {
        File file = new File(str);
        File parentFile = file.getParentFile();
        if (!parentFile.exists() && !parentFile.mkdirs()) {
            Logger.i(str + "cannot create!");
        } else if (file.exists()) {
            try {
                RandomAccessFile randomAccessFile = new RandomAccessFile(file, "rws");
                randomAccessFile.setLength(bArr.length + i);
                randomAccessFile.seek(i);
                randomAccessFile.write(bArr);
                randomAccessFile.close();
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        } else {
            try {
                file.createNewFile();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            FileOutputStream fileOutputStream = null;
            try {
                fileOutputStream = new FileOutputStream(file);
            } catch (FileNotFoundException e4) {
                e4.printStackTrace();
            }
            if (fileOutputStream != null) {
                try {
                    if (bArr != null) {
                        try {
                            try {
                                fileOutputStream.write(bArr, 0, bArr.length);
                                fileOutputStream.flush();
                            } catch (Throwable th) {
                                try {
                                    fileOutputStream.close();
                                } catch (IOException e5) {
                                    e5.printStackTrace();
                                }
                                throw th;
                            }
                        } catch (IOException e6) {
                            e6.printStackTrace();
                            fileOutputStream.close();
                            return;
                        }
                    }
                    fileOutputStream.close();
                } catch (IOException e7) {
                    e7.printStackTrace();
                }
            }
        }
    }

    public static void writeFile(InputStream inputStream, int i, String str) {
        File file = new File(str);
        File parentFile = file.getParentFile();
        if (!parentFile.exists() && !parentFile.mkdirs()) {
            Logger.i(str + "cannot create!");
        } else if (file.exists()) {
            try {
                RandomAccessFile randomAccessFile = new RandomAccessFile(file, "rws");
                randomAccessFile.seek(file.length());
                byte[] bArr = new byte[8192];
                while (true) {
                    int read = inputStream.read(bArr, 0, 8192);
                    if (read != -1) {
                        randomAccessFile.write(bArr, 0, read);
                    } else {
                        randomAccessFile.close();
                        return;
                    }
                }
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        } else {
            try {
                file.createNewFile();
            } catch (IOException e3) {
                e3.printStackTrace();
            }
            FileOutputStream fileOutputStream = null;
            try {
                fileOutputStream = new FileOutputStream(file);
            } catch (FileNotFoundException e4) {
                e4.printStackTrace();
            }
            try {
                try {
                    if (fileOutputStream != null) {
                        try {
                            byte[] bArr2 = new byte[8192];
                            while (true) {
                                int read2 = inputStream.read(bArr2, 0, 8192);
                                if (read2 == -1) {
                                    break;
                                }
                                fileOutputStream.write(bArr2, 0, read2);
                            }
                            fileOutputStream.close();
                        } catch (IOException e5) {
                            e5.printStackTrace();
                            fileOutputStream.close();
                        }
                    }
                } catch (Throwable th) {
                    try {
                        fileOutputStream.close();
                    } catch (IOException e6) {
                        e6.printStackTrace();
                    }
                    throw th;
                }
            } catch (IOException e7) {
                e7.printStackTrace();
            }
        }
    }

    public static int copyFile(String str, String str2) {
        return copyFile(str, str2, false, false, null);
    }

    public static int copyFile(String str, String str2, ICallBack iCallBack) {
        return copyFile(str, str2, false, false, iCallBack);
    }

    public static int copyFile(String str, String str2, boolean z, boolean z2) {
        return copyFile(str, str2, z, z2, null);
    }
}
