package io.dcloud.common.ui;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Movie;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.view.View;
import io.dcloud.PdrR;
import io.dcloud.common.DHInterface.IReflectAble;
import java.math.BigDecimal;
/* loaded from: classes.dex */
public class GifImageView extends View implements IReflectAble {
    private float a;
    private float b;
    private float c;
    private Movie d;
    private long e;
    private long f;
    private long g;
    float h;
    private int i;
    private volatile boolean j;
    private volatile boolean k;
    private volatile boolean l;
    private boolean m;
    private a n;
    private int o;
    private int p;
    private int q;
    private float r;
    private float s;

    /* loaded from: classes.dex */
    public interface a {
        void a();

        void a(float f);

        void a(boolean z);

        void b();

        void c();
    }

    public GifImageView(Context context) {
        this(context, null);
    }

    private void a(Context context, AttributeSet attributeSet, int i) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, PdrR.STYLE_GIFVIEW, i, 0);
        int resourceId = obtainStyledAttributes.getResourceId(PdrR.STYLE_GIFVIEW_gifSrc, 0);
        boolean z = obtainStyledAttributes.getBoolean(PdrR.STYLE_GIFVIEW_authPlay, true);
        this.i = obtainStyledAttributes.getInt(PdrR.STYLE_GIFVIEW_playCount, -1);
        if (resourceId > 0) {
            setGifResource(resourceId, (a) null);
            if (z) {
                play(this.i);
            }
        }
        obtainStyledAttributes.recycle();
        setLayerType(1, null);
    }

    private void b() {
        if (this.m) {
            postInvalidateOnAnimation();
        }
    }

    private void c() {
        this.j = false;
        this.e = SystemClock.uptimeMillis();
        this.k = false;
        this.l = true;
        this.f = 0L;
        this.g = 0L;
    }

    private int getCurrentFrameTime() {
        if (this.o == 0) {
            return 0;
        }
        long uptimeMillis = SystemClock.uptimeMillis() - this.g;
        int i = (int) ((uptimeMillis - this.e) / this.o);
        int i2 = this.i;
        if (i2 != -1 && i >= i2) {
            this.l = false;
            a aVar = this.n;
            if (aVar != null) {
                aVar.c();
            }
        }
        long j = uptimeMillis - this.e;
        int i3 = this.o;
        float f = (float) (j % i3);
        this.h = f / i3;
        if (this.n != null && this.l) {
            double doubleValue = new BigDecimal(this.h).setScale(2, 4).doubleValue();
            if (doubleValue == 0.99d) {
                doubleValue = 1.0d;
            }
            this.n.a((float) doubleValue);
        }
        return (int) f;
    }

    public int getDuration() {
        Movie movie = this.d;
        if (movie != null) {
            return movie.duration();
        }
        return 0;
    }

    public boolean isPaused() {
        return this.k;
    }

    public boolean isPlaying() {
        return !this.k && this.l;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.d != null) {
            if (!this.k && this.l) {
                if (this.j) {
                    this.d.setTime(this.o - getCurrentFrameTime());
                } else {
                    this.d.setTime(getCurrentFrameTime());
                }
                a(canvas);
                b();
                return;
            }
            a(canvas);
        }
    }

    @Override // android.view.View
    protected void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        this.r = (getWidth() - this.p) / 2.0f;
        this.s = (getHeight() - this.q) / 2.0f;
        this.m = getVisibility() == 0;
    }

    @Override // android.view.View
    protected void onMeasure(int i, int i2) {
        Movie movie = this.d;
        if (movie != null) {
            int width = movie.width();
            int height = this.d.height();
            int size = View.MeasureSpec.getSize(i);
            float f = 1.0f / (width / size);
            this.c = f;
            this.p = size;
            int i3 = (int) (height * f);
            this.q = i3;
            setMeasuredDimension(size, i3);
            return;
        }
        setMeasuredDimension(getSuggestedMinimumWidth(), getSuggestedMinimumHeight());
    }

    @Override // android.view.View
    public void onScreenStateChanged(int i) {
        super.onScreenStateChanged(i);
        this.m = i == 1;
        b();
    }

    @Override // android.view.View
    protected void onVisibilityChanged(View view, int i) {
        super.onVisibilityChanged(view, i);
        this.m = i == 0;
        b();
    }

    @Override // android.view.View
    protected void onWindowVisibilityChanged(int i) {
        super.onWindowVisibilityChanged(i);
        this.m = i == 0;
        b();
    }

    public void pause() {
        if (this.d != null && !this.k && this.l) {
            this.k = true;
            invalidate();
            this.f = SystemClock.uptimeMillis();
            a aVar = this.n;
            if (aVar != null) {
                aVar.a(true);
                return;
            }
            return;
        }
        a aVar2 = this.n;
        if (aVar2 != null) {
            aVar2.a(false);
        }
    }

    public void play(int i) {
        this.i = i;
        c();
        a aVar = this.n;
        if (aVar != null) {
            aVar.a();
        }
        invalidate();
    }

    public void playOver() {
        if (this.d != null) {
            play(-1);
        }
    }

    public void playReverse() {
        if (this.d != null) {
            c();
            this.j = true;
            a aVar = this.n;
            if (aVar != null) {
                aVar.a();
            }
            invalidate();
        }
    }

    public void setGifResource(int i, a aVar) {
        if (aVar != null) {
            this.n = aVar;
        }
        c();
        Movie decodeStream = Movie.decodeStream(getResources().openRawResource(i));
        this.d = decodeStream;
        this.o = decodeStream.duration() == 0 ? 1000 : this.d.duration();
        requestLayout();
    }

    public void setOnPlayListener(a aVar) {
        this.n = aVar;
    }

    public void setPercent(float f) {
        int i;
        Movie movie = this.d;
        if (movie == null || (i = this.o) <= 0) {
            return;
        }
        this.h = f;
        movie.setTime((int) (i * f));
        b();
        a aVar = this.n;
        if (aVar != null) {
            aVar.a(f);
        }
    }

    public GifImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, -1);
    }

    public GifImageView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.a = 1.0f;
        this.b = 1.0f;
        this.c = 1.0f;
        this.i = -1;
        this.j = false;
        this.m = true;
        a(context, attributeSet, i);
    }

    public void play() {
        if (this.d == null) {
            return;
        }
        if (this.l) {
            if (!this.k || this.f <= 0) {
                return;
            }
            this.k = false;
            this.g = (this.g + SystemClock.uptimeMillis()) - this.f;
            invalidate();
            a aVar = this.n;
            if (aVar != null) {
                aVar.b();
                return;
            }
            return;
        }
        play(this.i);
    }

    public void setGifResource(int i) {
        setGifResource(i, (a) null);
    }

    public void setGifResource(String str, a aVar) {
        this.d = Movie.decodeFile(str);
        this.n = aVar;
        c();
        this.o = this.d.duration() == 0 ? 1000 : this.d.duration();
        requestLayout();
        a aVar2 = this.n;
        if (aVar2 != null) {
            aVar2.a();
        }
    }

    private void a(Canvas canvas) {
        canvas.save();
        float f = this.c;
        canvas.scale(f, f);
        Movie movie = this.d;
        float f2 = this.r;
        float f3 = this.c;
        movie.draw(canvas, f2 / f3, this.s / f3);
        canvas.restore();
    }
}
