package io.dcloud.common.util;

import android.graphics.Color;
import android.text.TextUtils;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.performance.WXInstanceApm;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFrameView;
import io.dcloud.common.DHInterface.IMgr;
import io.dcloud.common.DHInterface.ITitleNView;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameItem;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.core.ui.l;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class TitleNViewUtil {
    public static final String TRANSPARENT_BUTTON_BACKGROUND_COLOR = "#7F333333";
    public static final String TRANSPARENT_BUTTON_TEXT_COLOR = "#FFFFFF";

    public static boolean backButtonIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject != null || jSONObject2 == null) {
            if (jSONObject != null && jSONObject2 != null) {
                if (jSONObject2.has("titleColor")) {
                    return true;
                }
                if (!jSONObject.has("autoBackButton") && !jSONObject.has("backButton")) {
                    if (jSONObject2.has("autoBackButton") && jSONObject2.optBoolean("autoBackButton")) {
                        return true;
                    }
                    if (jSONObject2.has("backButton") && jSONObject2.optJSONObject("backButton") != null) {
                        return true;
                    }
                } else if (jSONObject.has("autoBackButton")) {
                    boolean optBoolean = jSONObject.optBoolean("autoBackButton");
                    if (jSONObject2.has("autoBackButton")) {
                        if (optBoolean != jSONObject2.optBoolean("autoBackButton")) {
                            return true;
                        }
                    } else if (jSONObject2.has("backButton") && ((optBoolean && (jSONObject2.optJSONObject("backButton") == null || Constants.Name.UNDEFINED == jSONObject2.optString("backButton"))) || jSONObject2.optJSONObject("backButton") != null)) {
                        return true;
                    }
                } else if (jSONObject.has("backButton")) {
                    boolean z = jSONObject.optJSONObject("backButton") != null;
                    if (jSONObject2.has("autoBackButton")) {
                        if (z != jSONObject2.optBoolean("autoBackButton")) {
                            return true;
                        }
                    } else if (jSONObject2.has("backButton") && ((z && (jSONObject2.optJSONObject("backButton") == null || Constants.Name.UNDEFINED == jSONObject2.optString("backButton"))) || jSONObject2.optJSONObject("backButton") != null)) {
                        return true;
                    }
                }
            }
        } else if (jSONObject2.has("autoBackButton")) {
            return true;
        } else {
            if ((jSONObject2.has("backButton") && (jSONObject2.optJSONObject("backButton") != null || Constants.Name.UNDEFINED != jSONObject2.optString("backButton"))) || jSONObject2.has("titleColor")) {
                return true;
            }
        }
        return false;
    }

    public static boolean backgroundImageIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 == null || !jSONObject2.has(Constants.Name.BACKGROUND_IMAGE)) {
            return false;
        }
        if (jSONObject == null) {
            return jSONObject2.has(Constants.Name.BACKGROUND_IMAGE);
        }
        String optString = jSONObject.optString(Constants.Name.BACKGROUND_IMAGE);
        String optString2 = jSONObject2.optString(Constants.Name.BACKGROUND_IMAGE);
        if (jSONObject.has(Constants.Name.BACKGROUND_IMAGE) || !jSONObject2.has(Constants.Name.BACKGROUND_IMAGE)) {
            return jSONObject.has(Constants.Name.BACKGROUND_IMAGE) && jSONObject2.has(Constants.Name.BACKGROUND_IMAGE) && !optString.equals(optString2);
        }
        return true;
    }

    public static boolean backgroundIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("backgroundColor")) {
            if (jSONObject == null) {
                if (!TextUtils.isEmpty(jSONObject2.optString("backgroundColor"))) {
                    return true;
                }
            } else if (jSONObject != null) {
                String optString = jSONObject.optString("backgroundColor");
                String optString2 = jSONObject2.optString("backgroundColor");
                if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                    return true;
                }
                if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                    return true;
                }
            }
        }
        return false;
    }

    public static int changeColorAlpha(int i, float f) {
        if (0.0f > f || f > 1.0f) {
            return -1;
        }
        return Color.argb((int) (f * 255.0f), Color.red(i), Color.green(i), Color.blue(i));
    }

    private static boolean checkKeyValueIsModify(String str, JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2.has(str)) {
            if (jSONObject == null || !jSONObject.has(str)) {
                return true;
            }
            return !jSONObject.optString(str).equals(jSONObject2.optString(str));
        }
        return false;
    }

    public static String color2Color(String str, String str2, float f) {
        try {
            if (TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || 0.0f > f || f > 1.0f) {
                return null;
            }
            if (str.startsWith("#") && str2.startsWith("#")) {
                String substring = str.substring(1, str.length());
                String substring2 = str2.substring(1, str2.length());
                if (substring.length() == 3) {
                    str = "#" + substring.charAt(0) + substring.charAt(0) + substring.charAt(1) + substring.charAt(1) + substring.charAt(2) + substring.charAt(2);
                }
                if (substring2.length() == 3) {
                    str2 = "#" + substring2.charAt(0) + substring2.charAt(0) + substring2.charAt(1) + substring2.charAt(1) + substring2.charAt(2) + substring2.charAt(2);
                }
                int parseColor = Color.parseColor(str);
                int red = Color.red(parseColor);
                int green = Color.green(parseColor);
                int blue = Color.blue(parseColor);
                int parseColor2 = Color.parseColor(str2);
                int red2 = Color.red(parseColor2);
                int green2 = Color.green(parseColor2);
                int blue2 = Color.blue(parseColor2);
                String hexString = Integer.toHexString(Color.alpha(parseColor));
                if (1 == hexString.length()) {
                    hexString = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString;
                }
                float f2 = red;
                if (red != red2) {
                    f2 = red > red2 ? f2 - ((red - red2) * f) : f2 + ((red - red2) * f);
                }
                String hexString2 = Integer.toHexString((int) f2);
                if (1 == hexString2.length()) {
                    hexString2 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString2;
                }
                float f3 = green;
                if (green != green2) {
                    f3 = green > green2 ? f3 - ((green - green2) * f) : f3 + ((green2 - green) * f);
                }
                String hexString3 = Integer.toHexString((int) f3);
                if (1 == hexString3.length()) {
                    hexString3 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString3;
                }
                float f4 = blue;
                if (blue != blue2) {
                    f4 = blue > blue2 ? f4 - ((blue - blue2) * f) : f4 + ((blue2 - blue) * f);
                }
                String hexString4 = Integer.toHexString((int) f4);
                if (1 == hexString4.length()) {
                    hexString4 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString4;
                }
                return "#" + hexString + hexString2 + hexString3 + hexString4;
            } else if (str.startsWith("rgba") && str.contains(Operators.BRACKET_START_STR) && str.contains(Operators.BRACKET_END_STR) && str.contains(",") && str2.startsWith("rgba") && str2.contains(Operators.BRACKET_START_STR) && str2.contains(Operators.BRACKET_END_STR) && str2.contains(",")) {
                String substring3 = str.substring(str.indexOf(Operators.BRACKET_START_STR) + 1, str.indexOf(Operators.BRACKET_END_STR));
                String substring4 = str2.substring(str2.indexOf(Operators.BRACKET_START_STR) + 1, str2.indexOf(Operators.BRACKET_END_STR));
                String[] stringSplit = PdrUtil.stringSplit(substring3, ",");
                String[] stringSplit2 = PdrUtil.stringSplit(substring4, ",");
                if (stringSplit == null || 4 != stringSplit.length || stringSplit2 == null || 4 != stringSplit2.length) {
                    return null;
                }
                int intValue = Integer.valueOf(stringSplit[0]).intValue();
                int intValue2 = Integer.valueOf(stringSplit[1]).intValue();
                int intValue3 = Integer.valueOf(stringSplit[2]).intValue();
                int intValue4 = Integer.valueOf(stringSplit2[0]).intValue();
                int intValue5 = Integer.valueOf(stringSplit2[1]).intValue();
                int intValue6 = Integer.valueOf(stringSplit2[2]).intValue();
                String str3 = stringSplit[3];
                float f5 = intValue;
                if (intValue != intValue4) {
                    f5 = intValue > intValue4 ? f5 - ((intValue - intValue4) * f) : f5 + ((intValue - intValue4) * f);
                }
                float f6 = intValue2;
                if (intValue2 != intValue5) {
                    f6 = intValue2 > intValue5 ? f6 - ((intValue2 - intValue5) * f) : f6 + ((intValue5 - intValue2) * f);
                }
                float f7 = intValue3;
                if (intValue3 != intValue6) {
                    f7 = intValue3 > intValue6 ? f7 - ((intValue3 - intValue6) * f) : f7 + ((intValue6 - intValue3) * f);
                }
                return "rgba(" + ((int) f5) + "," + ((int) f6) + "," + ((int) f7) + "," + str3 + Operators.BRACKET_END_STR;
            } else {
                return null;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static boolean compareColor(String str, String str2) {
        try {
            if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
                if (str.startsWith("#") && str2.startsWith("#")) {
                    String substring = str.substring(1, str.length());
                    String substring2 = str2.substring(1, str2.length());
                    if (substring.length() == 3) {
                        str = "#" + substring.charAt(0) + substring.charAt(0) + substring.charAt(1) + substring.charAt(1) + substring.charAt(2) + substring.charAt(2);
                    }
                    if (substring2.length() == 3) {
                        str2 = "#" + substring2.charAt(0) + substring2.charAt(0) + substring2.charAt(1) + substring2.charAt(1) + substring2.charAt(2) + substring2.charAt(2);
                    }
                    int parseColor = Color.parseColor(str);
                    int parseColor2 = Color.parseColor(str2);
                    return Color.rgb(Color.red(parseColor), Color.green(parseColor), Color.blue(parseColor)) == Color.rgb(Color.red(parseColor2), Color.green(parseColor2), Color.blue(parseColor2));
                } else if (str.startsWith("rgba") && str.contains(Operators.BRACKET_START_STR) && str.contains(Operators.BRACKET_END_STR) && str.contains(",") && str2.startsWith("rgba") && str2.contains(Operators.BRACKET_START_STR) && str2.contains(Operators.BRACKET_END_STR) && str2.contains(",")) {
                    String substring3 = str.substring(str.indexOf(Operators.BRACKET_START_STR) + 1, str.indexOf(Operators.BRACKET_END_STR));
                    String substring4 = str2.substring(str2.indexOf(Operators.BRACKET_START_STR) + 1, str2.indexOf(Operators.BRACKET_END_STR));
                    String[] stringSplit = PdrUtil.stringSplit(substring3, ",");
                    String[] stringSplit2 = PdrUtil.stringSplit(substring4, ",");
                    return stringSplit != null && 4 == stringSplit.length && stringSplit2 != null && 4 == stringSplit2.length && Color.rgb(Integer.valueOf(stringSplit[0]).intValue(), Integer.valueOf(stringSplit[1]).intValue(), Integer.valueOf(stringSplit[2]).intValue()) == Color.rgb(Integer.valueOf(stringSplit2[0]).intValue(), Integer.valueOf(stringSplit2[1]).intValue(), Integer.valueOf(stringSplit2[2]).intValue());
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return false;
    }

    public static void drawTitle(IFrameView iFrameView, final ITitleNView iTitleNView, final String str, final String str2, final String str3, final String str4, final String str5, final String str6, final String str7, final String str8, final String str9, final String str10, final String str11, final String str12) {
        if (iFrameView == null || iTitleNView == null) {
            return;
        }
        if (BaseInfo.sDoingAnimation) {
            if (iFrameView.obtainWebView().obtainFrameView() instanceof AdaFrameView) {
                ((AdaFrameView) iFrameView.obtainWebView().obtainFrameView()).obtainWindowMgr().processEvent(IMgr.MgrType.WindowMgr, 71, new l.m() { // from class: io.dcloud.common.util.TitleNViewUtil.1
                    @Override // io.dcloud.common.core.ui.l.m
                    public void onAnimationEnd() {
                        ITitleNView.this.setTitle(str, str2, str3, str4, str5, str6, str7, str8, str9, str10, str11, str12);
                    }
                });
                return;
            }
            return;
        }
        iTitleNView.setTitle(str, str2, str3, str4, str5, str6, str7, str8, str9, str10, str11, str12);
    }

    private static int getColorAlpha(String str) {
        int stringToColor;
        try {
            stringToColor = Color.parseColor(str);
        } catch (Exception unused) {
            stringToColor = PdrUtil.stringToColor(str);
        }
        return Color.alpha(stringToColor);
    }

    public static Object getTitleNView(AbsMgr absMgr, IWebview iWebview, IFrameView iFrameView, String str) {
        if (absMgr == null || iWebview == null || iFrameView == null || TextUtils.isEmpty(str)) {
            return null;
        }
        return absMgr.processEvent(IMgr.MgrType.FeatureMgr, 10, new Object[]{iWebview, "nativeobj", "getNativeView", new Object[]{iFrameView, str}});
    }

    public static String getTitleNViewId(IFrameView iFrameView) {
        if (iFrameView == null || iFrameView.obtainWebView() == null || iFrameView.obtainWebView().obtainWindowView() == null) {
            return null;
        }
        if (2 != iFrameView.getFrameType() && 4 != iFrameView.getFrameType() && 5 != iFrameView.getFrameType()) {
            return iFrameView.obtainWebView().getWebviewUUID();
        }
        return String.valueOf(iFrameView.obtainWebView().obtainWindowView().hashCode());
    }

    public static String getTitleNViewSearchInputText(ITitleNView iTitleNView) {
        return iTitleNView.getTitleNViewSearchInputText();
    }

    public static String intColor2String(int i, boolean z) {
        StringBuilder sb = new StringBuilder();
        String hexString = Integer.toHexString(Color.alpha(i));
        String hexString2 = Integer.toHexString(Color.red(i));
        String hexString3 = Integer.toHexString(Color.green(i));
        String hexString4 = Integer.toHexString(Color.blue(i));
        if (hexString.length() == 1) {
            hexString = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString;
        }
        if (hexString2.length() == 1) {
            hexString2 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString2;
        }
        if (hexString3.length() == 1) {
            hexString3 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString3;
        }
        if (hexString4.length() == 1) {
            hexString4 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString4;
        }
        sb.append("#");
        if (z) {
            sb.append(hexString);
        }
        sb.append(hexString2);
        sb.append(hexString3);
        sb.append(hexString4);
        return sb.toString();
    }

    public static boolean isButtonsIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        return jSONObject2.has("buttons");
    }

    public static boolean isSearchInputChange(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("searchInput")) {
            JSONObject optJSONObject = jSONObject != null ? jSONObject.optJSONObject("searchInput") : null;
            JSONObject optJSONObject2 = jSONObject2.optJSONObject("searchInput");
            if (optJSONObject == null && optJSONObject2 != null) {
                return true;
            }
            if (optJSONObject != null && optJSONObject2 == null) {
                return true;
            }
            if (optJSONObject != null && optJSONObject2.length() > 0 && (!optJSONObject.optString(AbsoluteConst.JSON_KEY_ALIGN).equalsIgnoreCase(optJSONObject2.optString(AbsoluteConst.JSON_KEY_ALIGN)) || !optJSONObject.optString("backgroundColor").equalsIgnoreCase(optJSONObject2.optString("backgroundColor")) || !optJSONObject.optString(Constants.Name.BORDER_RADIUS).equalsIgnoreCase(optJSONObject2.optString(Constants.Name.BORDER_RADIUS)) || !optJSONObject.optString(Constants.Name.PLACEHOLDER).equalsIgnoreCase(optJSONObject2.optString(Constants.Name.PLACEHOLDER)) || !optJSONObject.optString(Constants.Name.PLACEHOLDER_COLOR).equalsIgnoreCase(optJSONObject2.optString(Constants.Name.PLACEHOLDER_COLOR)) || !optJSONObject.optString("color").equalsIgnoreCase(optJSONObject2.optString("color")) || optJSONObject.optBoolean(Constants.Name.DISABLED) == optJSONObject2.optBoolean(Constants.Name.DISABLED) || optJSONObject.optBoolean("autoFocus") == optJSONObject2.optBoolean("autoFocus"))) {
                return true;
            }
        }
        return false;
    }

    public static boolean isShadowChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        JSONObject optJSONObject;
        if (jSONObject2 == null || !jSONObject2.has("shadow")) {
            return false;
        }
        JSONObject optJSONObject2 = jSONObject2.optJSONObject("shadow");
        if (jSONObject == null && optJSONObject2 != null && optJSONObject2.has("color")) {
            return true;
        }
        if (jSONObject != null) {
            if (jSONObject.has("shadow")) {
                return (!jSONObject.has("shadow") || (optJSONObject = jSONObject.optJSONObject("shadow")) == null || optJSONObject2 == null || optJSONObject2.optString("color").equals(optJSONObject.optString("color"))) ? false : true;
            } else if (optJSONObject2 != null) {
                return !TextUtils.isEmpty(optJSONObject2.optString("color"));
            } else {
                return false;
            }
        }
        return false;
    }

    public static boolean isTitleTypeForDef(JSONObject jSONObject) {
        if (jSONObject != null) {
            return !jSONObject.has("type") || "default".equals(jSONObject.opt("type"));
        }
        return false;
    }

    private void jsonCompare(JSONObject jSONObject, JSONObject jSONObject2) {
        jSONObject.keys();
    }

    public static boolean paddingIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2.has("padding")) {
            return checkKeyValueIsModify("padding", jSONObject, jSONObject2);
        }
        if (jSONObject2.has(Constants.Name.PADDING_RIGHT)) {
            return checkKeyValueIsModify(Constants.Name.PADDING_RIGHT, jSONObject, jSONObject2);
        }
        if (jSONObject2.has(Constants.Name.PADDING_LEFT)) {
            return checkKeyValueIsModify(Constants.Name.PADDING_LEFT, jSONObject, jSONObject2);
        }
        if (jSONObject2.has(AbsoluteConst.JSON_KEY_PADDING_LEFT)) {
            return checkKeyValueIsModify(AbsoluteConst.JSON_KEY_PADDING_LEFT, jSONObject, jSONObject2);
        }
        if (jSONObject2.has(AbsoluteConst.JSON_KEY_PADDING_RIGHT)) {
            return checkKeyValueIsModify(AbsoluteConst.JSON_KEY_PADDING_RIGHT, jSONObject, jSONObject2);
        }
        return false;
    }

    public static boolean progressIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("progress") && jSONObject != null) {
            if (!jSONObject.has("progress") && jSONObject2.has("progress")) {
                if (jSONObject2.optJSONObject("progress") != null && Constants.Name.UNDEFINED.equals(jSONObject2.optString("progress"))) {
                    return true;
                }
            } else if (jSONObject.has("progress") && jSONObject2.has("progress")) {
                if ((jSONObject.optJSONObject("progress") == null || Constants.Name.UNDEFINED.equals(jSONObject.optString("progress"))) && jSONObject2.optJSONObject("progress") != null && !Constants.Name.UNDEFINED.equals(jSONObject2.optString("progress"))) {
                    return true;
                }
                if (jSONObject.optJSONObject("progress") != null && !Constants.Name.UNDEFINED.equals(jSONObject.optString("progress")) && (jSONObject2.optJSONObject("progress") == null || Constants.Name.UNDEFINED.equals(jSONObject2.optString("progress")))) {
                    return true;
                }
                if (jSONObject.optJSONObject("progress") != null && !Constants.Name.UNDEFINED.equals(jSONObject.optString("progress"))) {
                    if ((!Constants.Name.UNDEFINED.equals(jSONObject2.optString("progress"))) & (jSONObject2.optJSONObject("progress") != null)) {
                        String optString = jSONObject.optString("height");
                        String optString2 = jSONObject.optString("color");
                        String optString3 = jSONObject2.optString("height");
                        String optString4 = jSONObject2.optString("color");
                        if (!optString.equals(optString3) || !optString2.equals(optString4)) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    public static boolean redDotChange(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("redDotColor")) {
            if (jSONObject == null) {
                if (!TextUtils.isEmpty(jSONObject2.optString("redDotColor"))) {
                    return true;
                }
            } else if (jSONObject != null) {
                String optString = jSONObject.optString("redDotColor");
                String optString2 = jSONObject2.optString("redDotColor");
                if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                    return true;
                }
                if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                    return true;
                }
            }
        }
        return false;
    }

    public static void setBackButton(ITitleNView iTitleNView, JSONObject jSONObject, int i) {
        String changeColorAlpha;
        if (iTitleNView != null) {
            JSONObject jSONObject2 = null;
            if (jSONObject.has("autoBackButton")) {
                if (jSONObject.optBoolean("autoBackButton")) {
                    if (jSONObject.has("backButton") && jSONObject.optJSONObject("backButton") != null && !Constants.Name.UNDEFINED.equalsIgnoreCase(jSONObject.optString("backButton"))) {
                        jSONObject2 = jSONObject.optJSONObject("backButton");
                    }
                    String optString = jSONObject.optString("titlecolor");
                    if (jSONObject2 != null && jSONObject2.has("color")) {
                        optString = jSONObject2.optString("color");
                    } else {
                        if (TextUtils.isEmpty(optString)) {
                            optString = jSONObject.optString("titleColor");
                        }
                        if (!TextUtils.isEmpty(optString) && optString.startsWith("#") && optString.length() == 9) {
                            optString = "#" + optString.substring(3, optString.length());
                        }
                    }
                    if (!TextUtils.isEmpty(optString) || optString.startsWith("#")) {
                        if (jSONObject2 != null && jSONObject2.has("colorPressed")) {
                            changeColorAlpha = jSONObject2.optString("colorPressed");
                        } else {
                            changeColorAlpha = changeColorAlpha(optString, 0.3f);
                        }
                        iTitleNView.addBackButton(optString, changeColorAlpha, jSONObject.optString("type"), jSONObject2);
                        return;
                    }
                    return;
                }
                iTitleNView.removeBackButton();
                return;
            }
            iTitleNView.removeBackButton();
        }
    }

    public static void setBackgroundImage(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (jSONObject != null) {
            iTitleNView.setBackgroundImage(jSONObject.optString(Constants.Name.BACKGROUND_IMAGE));
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:27:0x0092  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00a4  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x00ea  */
    /* JADX WARN: Removed duplicated region for block: B:43:0x0135  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void setButtons(ITitleNView iTitleNView, JSONObject jSONObject, IWebview iWebview) {
        String changeColorAlpha;
        String str;
        String str2;
        String optString;
        String str3;
        boolean z;
        String str4;
        boolean z2;
        String str5;
        if (iTitleNView != null && jSONObject.has("buttons")) {
            String optString2 = jSONObject.optString("titleColor");
            if (TextUtils.isEmpty(optString2)) {
                optString2 = jSONObject.optString("titlecolor");
            }
            String changeColorAlpha2 = changeColorAlpha(optString2, 1.0f);
            JSONArray optJSONArray = jSONObject.optJSONArray("buttons");
            String str6 = "type";
            String optString3 = jSONObject.optString("type");
            if (optJSONArray != null) {
                int i = 0;
                while (i < optJSONArray.length()) {
                    JSONObject optJSONObject = optJSONArray.optJSONObject(i);
                    String optString4 = optJSONObject.optString(str6, "none");
                    String optString5 = optJSONObject.optString("color");
                    String optString6 = optJSONObject.optString("colorPressed");
                    String optString7 = optJSONObject.optString("width");
                    String optString8 = optJSONObject.optString("background", TRANSPARENT_BUTTON_BACKGROUND_COLOR);
                    if ("transparent".equals(optString3)) {
                        optString5 = TRANSPARENT_BUTTON_TEXT_COLOR;
                        optString6 = changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 0.3f);
                    } else if (TextUtils.isEmpty(optString5)) {
                        changeColorAlpha = changeColorAlpha(changeColorAlpha2, 0.3f);
                        str = changeColorAlpha2;
                        if (!optJSONObject.has("__cb__")) {
                            JSONObject optJSONObject2 = optJSONObject.optJSONObject("__cb__");
                            String optString9 = optJSONObject2.optString("id");
                            optJSONObject2.optString("htmlId");
                            str2 = optString9;
                        } else {
                            if (optJSONObject.has("onClick")) {
                                optString = optJSONObject.optString("onClick");
                            } else if (optJSONObject.has("onclick")) {
                                optString = optJSONObject.optString("onclick");
                            } else {
                                str2 = null;
                            }
                            str2 = optString;
                        }
                        int i2 = i;
                        String str7 = optString3;
                        String str8 = str6;
                        JSONArray jSONArray = optJSONArray;
                        if (!"left".equals(optJSONObject.optString("float"))) {
                            String optString10 = optJSONObject.optString("text");
                            String optString11 = optJSONObject.optString(AbsoluteConst.JSON_KEY_TITLE);
                            String optString12 = optJSONObject.optString(Constants.Name.FONT_WEIGHT);
                            String optString13 = optJSONObject.optString(Constants.Name.FONT_SIZE);
                            String optString14 = optJSONObject.optString("fontSrc");
                            boolean optBoolean = optJSONObject.optBoolean("redDot");
                            if (optJSONObject.has("badgeText")) {
                                str5 = optJSONObject.optString("badgeText");
                                z2 = false;
                            } else {
                                z2 = false;
                                str5 = null;
                            }
                            str3 = changeColorAlpha2;
                            iTitleNView.addLeftButton(optString10, optString11, str, changeColorAlpha, optString12, optString13, optString14, optString4, optString7, str2, iWebview, str7, optString8, optBoolean, str5, optJSONObject.optBoolean("select", z2), optJSONObject.optString(Constants.Name.MAX_WIDTH));
                        } else {
                            str3 = changeColorAlpha2;
                            String optString15 = optJSONObject.optString("text");
                            String optString16 = optJSONObject.optString(AbsoluteConst.JSON_KEY_TITLE);
                            String optString17 = optJSONObject.optString(Constants.Name.FONT_WEIGHT);
                            String optString18 = optJSONObject.optString(Constants.Name.FONT_SIZE);
                            String optString19 = optJSONObject.optString("fontSrc");
                            boolean optBoolean2 = optJSONObject.optBoolean("redDot");
                            if (optJSONObject.has("badgeText")) {
                                str4 = optJSONObject.optString("badgeText");
                                z = false;
                            } else {
                                z = false;
                                str4 = null;
                            }
                            iTitleNView.addRightButton(optString15, optString16, str, changeColorAlpha, optString17, optString18, optString19, optString4, optString7, str2, iWebview, str7, optString8, optBoolean2, str4, optJSONObject.optBoolean("select", z), optJSONObject.optString(Constants.Name.MAX_WIDTH));
                        }
                        i = i2 + 1;
                        optString3 = str7;
                        str6 = str8;
                        optJSONArray = jSONArray;
                        changeColorAlpha2 = str3;
                    } else if (TextUtils.isEmpty(optString6)) {
                        optString6 = changeColorAlpha(optString5, 0.3f);
                    }
                    str = optString5;
                    changeColorAlpha = optString6;
                    if (!optJSONObject.has("__cb__")) {
                    }
                    int i22 = i;
                    String str72 = optString3;
                    String str82 = str6;
                    JSONArray jSONArray2 = optJSONArray;
                    if (!"left".equals(optJSONObject.optString("float"))) {
                    }
                    i = i22 + 1;
                    optString3 = str72;
                    str6 = str82;
                    optJSONArray = jSONArray2;
                    changeColorAlpha2 = str3;
                }
            }
        }
    }

    public static void setCapsuleButtonStyle(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (iTitleNView == null || jSONObject == null || !jSONObject.has("capsuleButtonStyle")) {
            return;
        }
        iTitleNView.setCapsuleButtonStyle(jSONObject.optJSONObject("capsuleButtonStyle"));
    }

    public static void setHomeButton(ITitleNView iTitleNView, JSONObject jSONObject, int i) {
        if (iTitleNView != null) {
            boolean z = true;
            boolean z2 = i == 5;
            if (!jSONObject.has("homeButton") || !jSONObject.optBoolean("homeButton")) {
                z = z2;
            }
            if (z) {
                String optString = jSONObject.optString("titlecolor");
                if (TextUtils.isEmpty(optString)) {
                    optString = jSONObject.optString("titleColor");
                }
                if (!TextUtils.isEmpty(optString) && optString.startsWith("#") && optString.length() == 9) {
                    optString = "#" + optString.substring(3, optString.length());
                }
                if (!TextUtils.isEmpty(optString) || optString.startsWith("#")) {
                    iTitleNView.addHomeButton(optString, changeColorAlpha(optString, 0.3f), jSONObject.optString("type"));
                    return;
                }
                return;
            }
            iTitleNView.removeHomeButton();
        }
    }

    public static void setProgress(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (iTitleNView != null && jSONObject.has("progress")) {
            if (jSONObject.optJSONObject("progress") != null && !Constants.Name.UNDEFINED.equalsIgnoreCase(jSONObject.optString("progress"))) {
                JSONObject optJSONObject = jSONObject.optJSONObject("progress");
                iTitleNView.setProgress((!optJSONObject.has("height") || "".equals(optJSONObject.optString("height"))) ? "2px" : "2px", (!optJSONObject.has("color") || "".equals(optJSONObject.optString("color"))) ? "#00FF00" : "#00FF00");
                return;
            }
            iTitleNView.setProgress("", "");
        }
    }

    public static void setRedDotColor(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (jSONObject != null) {
            iTitleNView.setRedDotColor(PdrUtil.stringToColor(jSONObject.optString("redDotColor")));
        }
    }

    public static void setSearchInput(ITitleNView iTitleNView, JSONObject jSONObject, IWebview iWebview) {
        if (iTitleNView == null) {
            return;
        }
        if (jSONObject.has("searchInput")) {
            JSONObject optJSONObject = jSONObject.optJSONObject("searchInput");
            iTitleNView.addSearchInput(optJSONObject.optString(AbsoluteConst.JSON_KEY_ALIGN), optJSONObject.optString("backgroundColor"), optJSONObject.optString(Constants.Name.BORDER_RADIUS, "0px"), optJSONObject.optString(Constants.Name.PLACEHOLDER), optJSONObject.optString(Constants.Name.PLACEHOLDER_COLOR, "#CCCCCC"), optJSONObject.optString("color", "#000000"), optJSONObject.optBoolean(Constants.Name.DISABLED, false), optJSONObject.optBoolean("autoFocus", false), iWebview);
            return;
        }
        iTitleNView.clearSearchInput();
    }

    public static void setShadow(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (iTitleNView == null) {
            return;
        }
        JSONObject optJSONObject = jSONObject.optJSONObject("shadow");
        if (optJSONObject != null) {
            iTitleNView.setShadow(optJSONObject);
        } else {
            iTitleNView.setShadow(new JSONObject());
        }
    }

    public static void setSplitLine(ITitleNView iTitleNView, IWebview iWebview, JSONObject jSONObject, JSONObject jSONObject2, boolean z, String str) {
        if (iTitleNView != null) {
            if (jSONObject2 == null) {
                if (jSONObject != null) {
                    iTitleNView.removeSplitLine();
                    return;
                }
                return;
            }
            JSONObject combinJSONObject = JSONUtil.combinJSONObject(jSONObject, jSONObject2);
            String optString = combinJSONObject.optString("color");
            if ((combinJSONObject.has("color") && "".equals(optString)) || !combinJSONObject.has("color")) {
                optString = "#CCCCCC";
            }
            if (z && "transparent".equals(str)) {
                optString = changeColorAlpha(optString, 0.0f);
            }
            try {
                if ("transparent".equals(str) && iWebview.obtainWindowView().getScrollY() == 0) {
                    optString = changeColorAlpha(optString, 0.0f);
                }
            } catch (Exception unused) {
            }
            String optString2 = combinJSONObject.optString("height");
            if (TextUtils.isEmpty(optString)) {
                return;
            }
            if (TextUtils.isEmpty(optString2)) {
                optString2 = "1px";
            }
            iTitleNView.setSplitLine(optString2, optString);
        }
    }

    public static void setSubTitleIcon(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (jSONObject != null) {
            String optString = jSONObject.optString("titleColor");
            if (TextUtils.isEmpty(optString)) {
                optString = jSONObject.optString("titlecolor");
            }
            iTitleNView.setIconSubTitleStyle(jSONObject.optString("titleIcon"), jSONObject.optString("titleIconRadius"), jSONObject.optString("subtitleText"), jSONObject.optString("subtitleColor"), jSONObject.optString("subtitleSize"), jSONObject.optString("subtitleOverflow"), optString, jSONObject.optString("titleAlign"), jSONObject.optString("titleIconWidth"));
        }
    }

    public static void setTitleAlign(ITitleNView iTitleNView, JSONObject jSONObject) {
        if (jSONObject != null) {
            iTitleNView.setTitleAlign(jSONObject.optString("titleAlign"));
        }
    }

    public static void setTitleNViewButtonStyle(ITitleNView iTitleNView, String str, JSONObject jSONObject, IFrameView iFrameView) {
        int i;
        String str2;
        String optString;
        JSONObject optJSONObject;
        try {
            i = Integer.parseInt(str);
        } catch (Exception unused) {
            i = -1;
        }
        if (jSONObject != null) {
            String str3 = "";
            String optString2 = jSONObject.optString("type", "");
            String optString3 = jSONObject.optString("color");
            String optString4 = jSONObject.optString("colorPressed");
            String optString5 = jSONObject.optString("width");
            String optString6 = jSONObject.optString("background");
            if (!PdrUtil.isEmpty(optString3) && PdrUtil.isEmpty(optString4)) {
                optString4 = changeColorAlpha(optString3, 0.3f);
            }
            String str4 = optString4;
            if (jSONObject.has("__cb__")) {
                JSONObject optJSONObject2 = jSONObject.optJSONObject("__cb__");
                String optString7 = optJSONObject2.optString("id");
                optJSONObject2.optString("htmlId");
                str2 = optString7;
            } else {
                if (jSONObject.has("onClick")) {
                    optString = jSONObject.optString("onClick");
                } else if (jSONObject.has("onclick")) {
                    optString = jSONObject.optString("onclick");
                } else {
                    str2 = null;
                }
                str2 = optString;
            }
            AdaFrameItem adaFrameItem = (AdaFrameItem) iFrameView;
            JSONObject jSONObject2 = adaFrameItem.obtainFrameOptions().titleNView;
            JSONArray optJSONArray = jSONObject2.optJSONArray("buttons");
            if (optJSONArray != null && i < optJSONArray.length() && i >= 0 && (optJSONObject = optJSONArray.optJSONObject(i)) != null) {
                str3 = optJSONObject.optString("width");
            }
            if (!iTitleNView.setTitleNViewButtonStyle(i, jSONObject.optString("text"), jSONObject.optString(AbsoluteConst.JSON_KEY_TITLE), optString3, str4, jSONObject.optString(Constants.Name.FONT_WEIGHT), jSONObject.optString(Constants.Name.FONT_SIZE), jSONObject.optString("fontSrc"), optString2, str2, iFrameView.obtainWebView(), optString6, jSONObject.optString("redDot"), jSONObject.has("badgeText") ? jSONObject.optString("badgeText") : null, jSONObject.optString("select"), optString5, jSONObject2.optString("type"), jSONObject.optString(Constants.Name.MAX_WIDTH), str3) || optJSONArray == null || i >= optJSONArray.length() || i < 0) {
                return;
            }
            JSONUtil.combinJSONObject(optJSONArray.optJSONObject(i), jSONObject);
            adaFrameItem.obtainFrameOptions().setTitleNView(jSONObject2, iFrameView.obtainWebView());
        }
    }

    public static void setTitleNViewPadding(ITitleNView iTitleNView, IWebview iWebview, JSONObject jSONObject) {
        int i;
        int i2;
        if (jSONObject.has("padding")) {
            i2 = PdrUtil.convertToScreenInt(jSONObject.optString("padding"), 0, 0, iWebview.getScale());
            i = PdrUtil.convertToScreenInt(jSONObject.optString("padding"), 0, 0, iWebview.getScale());
        } else {
            i = 0;
            i2 = 0;
        }
        if (jSONObject.has(Constants.Name.PADDING_LEFT)) {
            i2 = PdrUtil.convertToScreenInt(jSONObject.optString(Constants.Name.PADDING_LEFT), 0, 0, iWebview.getScale());
        } else if (jSONObject.has(AbsoluteConst.JSON_KEY_PADDING_LEFT)) {
            i2 = PdrUtil.convertToScreenInt(jSONObject.optString(AbsoluteConst.JSON_KEY_PADDING_LEFT), 0, 0, iWebview.getScale());
        }
        if (jSONObject.has(Constants.Name.PADDING_RIGHT)) {
            i = PdrUtil.convertToScreenInt(jSONObject.optString(Constants.Name.PADDING_RIGHT), 0, 0, iWebview.getScale());
        } else if (jSONObject.has(AbsoluteConst.JSON_KEY_PADDING_RIGHT)) {
            i = PdrUtil.convertToScreenInt(jSONObject.optString(AbsoluteConst.JSON_KEY_PADDING_RIGHT), 0, 0, iWebview.getScale());
        }
        iTitleNView.setTitleNViewPadding(i2, 0, i, 0);
    }

    public static void setTitleNViewSearchInputFocus(ITitleNView iTitleNView, String str) {
        iTitleNView.setSearchInputFocus(Boolean.parseBoolean(str));
    }

    public static void setTitleNViewSearchInputText(ITitleNView iTitleNView, String str) {
        iTitleNView.setTitleNViewSearchInputText(str);
    }

    public static boolean splitLineIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("splitLine")) {
            JSONObject optJSONObject = jSONObject != null ? jSONObject.optJSONObject("splitLine") : null;
            JSONObject optJSONObject2 = jSONObject2.optJSONObject("splitLine");
            if (optJSONObject == null && optJSONObject2 != null) {
                return true;
            }
            if (optJSONObject != null && optJSONObject2 == null) {
                return true;
            }
            if (optJSONObject != null && optJSONObject2 != null) {
                String optString = optJSONObject.optString("color");
                String optString2 = optJSONObject2.optString("color");
                if (optString == null && optString2 != null) {
                    return true;
                }
                if (optString != null && optString2 != null && !optString.equals(optString2)) {
                    return true;
                }
                String optString3 = optJSONObject.optString("height");
                String optString4 = optJSONObject2.optString("height");
                if (optString3 == null && optString4 != null) {
                    return true;
                }
                if (optString3 != null && optString4 != null && !optString3.equals(optString4)) {
                    return true;
                }
            }
        }
        return false;
    }

    public static void startProcess(ITitleNView iTitleNView) {
        if (iTitleNView == null) {
            return;
        }
        iTitleNView.startProgress();
    }

    public static void stopProcess(ITitleNView iTitleNView) {
        if (iTitleNView == null) {
            return;
        }
        iTitleNView.stopProgress();
    }

    public static boolean subTitleIconChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 == null) {
            return false;
        }
        if (jSONObject == null) {
            jSONObject = new JSONObject();
        }
        return (jSONObject2.optString("titleIcon").equals(jSONObject.optString("titleIcon")) && jSONObject2.optString("titleIconRadius").equals(jSONObject.optString("titleIconRadius")) && jSONObject2.optString("subtitleText").equals(jSONObject.optString("subtitleText")) && jSONObject2.optString("subtitleColor").equals(jSONObject.optString("subtitleColor")) && jSONObject2.optString("subtitleSize").equals(jSONObject.optString("subtitleSize")) && jSONObject2.optString("subtitleOverflow").equals(jSONObject.optString("subtitleOverflow"))) ? false : true;
    }

    public static boolean titleAlignIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("titleAlign")) {
            if (jSONObject == null) {
                return !TextUtils.isEmpty(jSONObject2.optString("titleAlign"));
            }
            String optString = jSONObject.optString("titleAlign");
            String optString2 = jSONObject2.optString("titleAlign");
            if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                return true;
            }
            if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                return true;
            }
        }
        return false;
    }

    public static boolean titleColorIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && (jSONObject2.has("titleColor") || jSONObject2.has("titlecolor"))) {
            if (jSONObject == null && ((jSONObject2.has("titleColor") && !TextUtils.isEmpty(jSONObject2.optString("titleColor"))) || (jSONObject2.has("titlecolor") && !TextUtils.isEmpty(jSONObject2.optString("titlecolor"))))) {
                return true;
            }
            if (jSONObject != null) {
                if (jSONObject.has("titleColor")) {
                    String optString = jSONObject.optString("titleColor");
                    if (jSONObject2.has("titleColor")) {
                        String optString2 = jSONObject2.optString("titleColor");
                        if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titlecolor")) {
                        String optString3 = jSONObject2.optString("titlecolor");
                        if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString3)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString3) && !optString.equals(optString3)) {
                            return true;
                        }
                    }
                } else if (jSONObject.has("titlecolor")) {
                    String optString4 = jSONObject.optString("titlecolor");
                    if (jSONObject2.has("titleColor")) {
                        String optString5 = jSONObject2.optString("titleColor");
                        if (TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString5)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString5) && !optString4.equals(optString5)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titlecolor")) {
                        String optString6 = jSONObject2.optString("titlecolor");
                        if (TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString6)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString6) && !optString4.equals(optString6)) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    public static boolean titleIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && (jSONObject2.has("titleText") || jSONObject2.has("titletext"))) {
            if (jSONObject == null && ((jSONObject2.has("titleText") && !TextUtils.isEmpty(jSONObject2.optString("titleText"))) || (jSONObject2.has("titletext") && !TextUtils.isEmpty(jSONObject2.optString("titletext"))))) {
                return true;
            }
            if (jSONObject != null) {
                if (jSONObject.has("titleText")) {
                    String optString = jSONObject.optString("titleText");
                    if (jSONObject2.has("titleText")) {
                        String optString2 = jSONObject2.optString("titleText");
                        if ((!TextUtils.isEmpty(optString) || TextUtils.isEmpty(optString2)) && !TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titletext")) {
                        String optString3 = jSONObject2.optString("titletext");
                        if ((!TextUtils.isEmpty(optString) || TextUtils.isEmpty(optString3)) && !TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString3) && !optString.equals(optString3)) {
                            return true;
                        }
                    }
                } else if (jSONObject.has("titletext")) {
                    String optString4 = jSONObject.optString("titletext");
                    if (jSONObject2.has("titleText")) {
                        String optString5 = jSONObject2.optString("titleText");
                        if ((!TextUtils.isEmpty(optString4) || TextUtils.isEmpty(optString5)) && !TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString5) && !optString4.equals(optString5)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titletext")) {
                        String optString6 = jSONObject2.optString("titletext");
                        if ((!TextUtils.isEmpty(optString4) || TextUtils.isEmpty(optString6)) && !TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString6) && !optString4.equals(optString6)) {
                        }
                    }
                }
                return true;
            }
        }
        return false;
    }

    public static void titleNViewButtonBadge(ITitleNView iTitleNView, JSONObject jSONObject, boolean z) {
        iTitleNView.setBadgeText(jSONObject, z);
    }

    public static void titleNViewButtonRedDot(ITitleNView iTitleNView, JSONObject jSONObject, boolean z) {
        iTitleNView.setRedDot(jSONObject, z);
    }

    public static boolean titleNViewStyleNoTitle(JSONObject jSONObject) {
        if (jSONObject == null) {
            return true;
        }
        if (jSONObject.has("titleText") || jSONObject.has("titletext")) {
            return jSONObject.has("titleText") ? TextUtils.isEmpty(jSONObject.optString("titleText")) : jSONObject.has("titletext") && TextUtils.isEmpty(jSONObject.optString("titletext"));
        }
        return true;
    }

    public static boolean titleOverflowIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && jSONObject2.has("titleOverflow")) {
            if (jSONObject == null && jSONObject2.has("titleOverflow") && !TextUtils.isEmpty(jSONObject2.optString("titleOverflow"))) {
                return true;
            }
            if (jSONObject != null) {
                if (!jSONObject.has("titleOverflow")) {
                    if (jSONObject2.has("titleOverflow") && !TextUtils.isEmpty(jSONObject2.optString("titleOverflow"))) {
                        return true;
                    }
                } else if (jSONObject.has("titleOverflow")) {
                    String optString = jSONObject.optString("titleOverflow");
                    if (jSONObject2.has("titleOverflow")) {
                        String optString2 = jSONObject2.optString("titleOverflow");
                        if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    public static boolean titleSizeIsChanged(JSONObject jSONObject, JSONObject jSONObject2) {
        if (jSONObject2 != null && (jSONObject2.has("titleSize") || jSONObject2.has("titlesize"))) {
            if (jSONObject == null && ((jSONObject2.has("titleSize") && !TextUtils.isEmpty(jSONObject2.optString("titleSize"))) || (jSONObject2.has("titlesize") && !TextUtils.isEmpty(jSONObject2.optString("titlesize"))))) {
                return true;
            }
            if (jSONObject != null) {
                if (jSONObject.has("titleSize")) {
                    String optString = jSONObject.optString("titleSize");
                    if (jSONObject2.has("titleSize")) {
                        String optString2 = jSONObject2.optString("titleSize");
                        if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString2) && !optString.equals(optString2)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titlesize")) {
                        String optString3 = jSONObject2.optString("titlesize");
                        if (TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString3)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString) && !TextUtils.isEmpty(optString3) && !optString.equals(optString3)) {
                            return true;
                        }
                    }
                } else if (jSONObject.has("titlesize")) {
                    String optString4 = jSONObject.optString("titlesize");
                    if (jSONObject2.has("titleSize")) {
                        String optString5 = jSONObject2.optString("titleSize");
                        if (TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString5)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString5) && !optString4.equals(optString5)) {
                            return true;
                        }
                    } else if (jSONObject2.has("titlesize")) {
                        String optString6 = jSONObject2.optString("titlesize");
                        if (TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString6)) {
                            return true;
                        }
                        if (!TextUtils.isEmpty(optString4) && !TextUtils.isEmpty(optString6) && !optString4.equals(optString6)) {
                            return true;
                        }
                    }
                }
            }
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:156:0x00e0 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:169:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x0075  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x007f A[Catch: Exception -> 0x02df, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0091 A[Catch: Exception -> 0x02df, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:41:0x00d0 A[Catch: Exception -> 0x02df, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00d8 A[Catch: Exception -> 0x02df, TRY_LEAVE, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:54:0x00f6 A[Catch: Exception -> 0x02df, TRY_LEAVE, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:57:0x0108 A[Catch: Exception -> 0x02df, TRY_ENTER, TryCatch #0 {Exception -> 0x02df, blocks: (B:4:0x000e, B:6:0x0031, B:11:0x0042, B:13:0x0050, B:15:0x0059, B:17:0x0063, B:21:0x006f, B:26:0x007f, B:41:0x00d0, B:42:0x00d3, B:44:0x00d8, B:52:0x00e9, B:51:0x00e6, B:54:0x00f6, B:57:0x0108, B:59:0x010e, B:61:0x0114, B:63:0x011a, B:66:0x0139, B:68:0x013f, B:70:0x0145, B:75:0x0161, B:77:0x016f, B:79:0x0175, B:81:0x017b, B:83:0x0189, B:84:0x018e, B:86:0x0194, B:88:0x019b, B:91:0x01b2, B:93:0x01b8, B:95:0x01be, B:97:0x01cc, B:101:0x01dc, B:98:0x01d2, B:100:0x01d8, B:102:0x01df, B:103:0x01e2, B:105:0x01f4, B:107:0x01fa, B:109:0x0200, B:111:0x0206, B:113:0x0214, B:117:0x0224, B:119:0x022f, B:121:0x0242, B:123:0x024d, B:125:0x025d, B:127:0x0276, B:130:0x027d, B:132:0x0283, B:134:0x0289, B:136:0x0297, B:140:0x02ad, B:144:0x02be, B:146:0x02cb, B:147:0x02d3, B:143:0x02ba, B:137:0x02a0, B:139:0x02a9, B:126:0x026c, B:122:0x024a, B:114:0x021a, B:116:0x0220, B:27:0x0091, B:29:0x0097, B:31:0x00a3, B:33:0x00ad, B:35:0x00b3, B:39:0x00c6, B:38:0x00c2, B:8:0x0037, B:10:0x003d, B:141:0x02b5, B:47:0x00e0), top: B:153:0x000e, inners: #1, #2 }] */
    /* JADX WARN: Removed duplicated region for block: B:72:0x0159  */
    /* JADX WARN: Removed duplicated region for block: B:90:0x01b1  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void updateTitleNViewStatus(ITitleNView iTitleNView, IWebview iWebview, float f, JSONObject jSONObject, float f2) {
        String optString;
        int titleColor;
        JSONObject optJSONObject;
        String str;
        String str2;
        int i;
        String changeColorAlpha;
        int changeColorAlpha2;
        String changeColorAlpha3;
        int changeColorAlpha4;
        String str3;
        float f3;
        String str4;
        int stringToColor;
        String str5;
        String str6;
        JSONArray optJSONArray;
        if (iTitleNView == null) {
            return;
        }
        try {
            String optString2 = jSONObject.optString("backgroundColor");
            JSONObject jSONObject2 = new JSONObject(iTitleNView.getStatusBarColor());
            int optInt = jSONObject2.optInt("color");
            boolean optBoolean = jSONObject2.optBoolean("alpha");
            String optString3 = jSONObject.optString("titleColor");
            if (jSONObject.has("titleColor")) {
                optString = jSONObject.optString("titleColor");
            } else {
                if (jSONObject.has("titlecolor")) {
                    optString = jSONObject.optString("titlecolor");
                }
                String str7 = optString3;
                titleColor = iTitleNView.getTitleColor();
                optJSONObject = jSONObject.optJSONObject("splitLine");
                if (optJSONObject != null || Constants.Name.UNDEFINED.equals(optJSONObject)) {
                    str = null;
                } else {
                    str = optJSONObject.optString("color");
                    if (!optJSONObject.has("color") || "".equals(str)) {
                        str = "#CCCCCC";
                    }
                }
                str2 = TextUtils.isEmpty(str) ? null : str;
                i = (f > 0.0f ? 1 : (f == 0.0f ? 0 : -1));
                if (i != 0) {
                    String changeColorAlpha5 = changeColorAlpha(optString2, 0.0f);
                    optInt = changeColorAlpha(optInt, 0.0f);
                    changeColorAlpha4 = changeColorAlpha(titleColor, 0.0f);
                    changeColorAlpha3 = changeColorAlpha(str, 0.0f);
                    changeColorAlpha = changeColorAlpha5;
                } else {
                    float f4 = f / f2;
                    if (f4 >= 1.0f) {
                        changeColorAlpha4 = changeColorAlpha(titleColor, 1.0f);
                        changeColorAlpha3 = changeColorAlpha(str, 1.0f);
                        changeColorAlpha = optString2;
                    } else {
                        changeColorAlpha = ((float) getColorAlpha(optString2)) / 255.0f > f4 ? changeColorAlpha(optString2, f4) : optString2;
                        if (Color.alpha(optInt) / 255.0f > f4 || optBoolean) {
                            optInt = changeColorAlpha(optInt, f4);
                        }
                        changeColorAlpha2 = changeColorAlpha(titleColor, f4);
                        changeColorAlpha3 = changeColorAlpha(str, f4);
                        if (titleColor != changeColorAlpha2) {
                            iTitleNView.setTitleColor(changeColorAlpha2);
                        }
                        iTitleNView.setStatusBarColor(optInt);
                        if (str2 != null && !str2.equalsIgnoreCase(changeColorAlpha3)) {
                            if (optJSONObject != null) {
                                try {
                                    optJSONObject.put("color", changeColorAlpha3);
                                } catch (Exception e) {
                                    e.printStackTrace();
                                }
                            }
                            setSplitLine(iTitleNView, iWebview, optJSONObject, optJSONObject, false, "");
                        }
                        if (optString2 != null) {
                            iTitleNView.setBackgroundColor(changeColorAlpha);
                        }
                        if (i == 0) {
                            JSONObject optJSONObject2 = jSONObject.optJSONObject("backButton");
                            iTitleNView.setBackButtonColor((optJSONObject2 == null || !optJSONObject2.has("background")) ? TRANSPARENT_BUTTON_BACKGROUND_COLOR : optJSONObject2.optString("background"), changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 1.0f), changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 0.3f));
                            iTitleNView.setHomeButtonColor(TRANSPARENT_BUTTON_BACKGROUND_COLOR, changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 1.0f), changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 0.3f));
                            JSONArray optJSONArray2 = jSONObject.optJSONArray("buttons");
                            if (optJSONArray2 != null) {
                                for (int i2 = 0; i2 < optJSONArray2.length(); i2++) {
                                    JSONObject optJSONObject3 = optJSONArray2.optJSONObject(i2);
                                    if (optJSONObject3 != null) {
                                        iTitleNView.setButtonColorByIndex(i2, optJSONObject3.optString("background", TRANSPARENT_BUTTON_BACKGROUND_COLOR), changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 1.0f), changeColorAlpha(TRANSPARENT_BUTTON_TEXT_COLOR, 0.3f));
                                    }
                                }
                                return;
                            }
                            return;
                        } else if (f2 <= f) {
                            String changeColorAlpha6 = changeColorAlpha(str7, 1.0f);
                            JSONObject optJSONObject4 = jSONObject.optJSONObject("backButton");
                            String changeColorAlpha7 = changeColorAlpha(changeColorAlpha6, 0.3f);
                            if (optJSONObject4 != null && (optJSONObject4.has("color") || optJSONObject4.has("colorPressed"))) {
                                str6 = optJSONObject4.optString("color");
                                str5 = optJSONObject4.optString("colorPressed");
                                if (TextUtils.isEmpty(str6)) {
                                    changeColorAlpha7 = changeColorAlpha(changeColorAlpha6, 0.3f);
                                } else {
                                    if (TextUtils.isEmpty(str5)) {
                                        str5 = changeColorAlpha(str6, 0.3f);
                                    }
                                    iTitleNView.setBackButtonColor("#00333333", str6, str5);
                                    iTitleNView.setHomeButtonColor("#00333333", changeColorAlpha(changeColorAlpha6, 1.0f), changeColorAlpha(changeColorAlpha6, 0.3f));
                                    optJSONArray = jSONObject.optJSONArray("buttons");
                                    if (optJSONArray == null) {
                                        for (int i3 = 0; i3 < optJSONArray.length(); i3++) {
                                            JSONObject optJSONObject5 = optJSONArray.optJSONObject(i3);
                                            if (optJSONObject5 != null) {
                                                String optString4 = optJSONObject5.optString("color");
                                                String optString5 = optJSONObject5.optString("colorPressed");
                                                if (TextUtils.isEmpty(optString4)) {
                                                    optString5 = changeColorAlpha(changeColorAlpha6, 0.3f);
                                                    optString4 = changeColorAlpha6;
                                                } else if (TextUtils.isEmpty(optString5)) {
                                                    optString5 = changeColorAlpha(optString4, 0.3f);
                                                }
                                                iTitleNView.setButtonColorByIndex(i3, "#00333333", optString4, optString5);
                                            }
                                        }
                                        return;
                                    }
                                    return;
                                }
                            }
                            str5 = changeColorAlpha7;
                            str6 = changeColorAlpha6;
                            iTitleNView.setBackButtonColor("#00333333", str6, str5);
                            iTitleNView.setHomeButtonColor("#00333333", changeColorAlpha(changeColorAlpha6, 1.0f), changeColorAlpha(changeColorAlpha6, 0.3f));
                            optJSONArray = jSONObject.optJSONArray("buttons");
                            if (optJSONArray == null) {
                            }
                        } else {
                            float f5 = f / f2;
                            String changeColorAlpha8 = changeColorAlpha(str7, 1.0f);
                            String color2Color = color2Color(TRANSPARENT_BUTTON_TEXT_COLOR, changeColorAlpha8, f5);
                            JSONObject optJSONObject6 = jSONObject.optJSONObject("backButton");
                            String optString6 = (optJSONObject6 == null || !optJSONObject6.has("background")) ? TRANSPARENT_BUTTON_BACKGROUND_COLOR : optJSONObject6.optString("background");
                            String changeColorAlpha9 = changeColorAlpha(color2Color, 0.3f);
                            if (optJSONObject6 != null) {
                                String optString7 = optJSONObject6.optString("color");
                                str3 = optJSONObject6.optString("colorPressed");
                                if (TextUtils.isEmpty(optString7)) {
                                    str3 = changeColorAlpha(changeColorAlpha8, 0.3f);
                                    optString7 = changeColorAlpha8;
                                } else if (TextUtils.isEmpty(str3)) {
                                    str3 = changeColorAlpha(optString7, 0.3f);
                                }
                                str4 = color2Color(TRANSPARENT_BUTTON_TEXT_COLOR, optString7, f5);
                                f3 = 1.0f;
                            } else {
                                str3 = changeColorAlpha9;
                                f3 = 1.0f;
                                str4 = color2Color;
                            }
                            float f6 = f3 - f5;
                            if (f6 < Color.alpha(Color.parseColor(optString6)) / 255.0f) {
                                iTitleNView.setBackButtonColor(changeColorAlpha(optString6, f6), str4, str3);
                            } else {
                                iTitleNView.setBackButtonColor(optString6, str4, str3);
                            }
                            if (f6 < Color.alpha(Color.parseColor(TRANSPARENT_BUTTON_BACKGROUND_COLOR)) / 255.0f) {
                                iTitleNView.setHomeButtonColor(changeColorAlpha(TRANSPARENT_BUTTON_BACKGROUND_COLOR, f6), color2Color, changeColorAlpha(color2Color, 0.3f));
                            } else {
                                iTitleNView.setHomeButtonColor(TRANSPARENT_BUTTON_BACKGROUND_COLOR, color2Color, changeColorAlpha(color2Color, 0.3f));
                            }
                            JSONArray optJSONArray3 = jSONObject.optJSONArray("buttons");
                            if (optJSONArray3 != null) {
                                for (int i4 = 0; i4 < optJSONArray3.length(); i4++) {
                                    JSONObject optJSONObject7 = optJSONArray3.optJSONObject(i4);
                                    if (optJSONObject7 != null) {
                                        String optString8 = optJSONObject7.optString("color");
                                        String optString9 = optJSONObject7.optString("colorPressed");
                                        if (TextUtils.isEmpty(optString8)) {
                                            optString9 = changeColorAlpha(changeColorAlpha8, 0.3f);
                                            optString8 = changeColorAlpha8;
                                        } else if (TextUtils.isEmpty(optString9)) {
                                            optString9 = changeColorAlpha(optString8, 0.3f);
                                        }
                                        String color2Color2 = color2Color(TRANSPARENT_BUTTON_TEXT_COLOR, optString8, f5);
                                        String optString10 = optJSONObject7.optString("background", TRANSPARENT_BUTTON_BACKGROUND_COLOR);
                                        try {
                                            stringToColor = Color.parseColor(optString10);
                                        } catch (Exception unused) {
                                            stringToColor = PdrUtil.stringToColor(optString10);
                                        }
                                        if (f6 < Color.alpha(stringToColor) / 255.0f) {
                                            iTitleNView.setButtonColorByIndex(i4, changeColorAlpha(optString10, f6), color2Color2, optString9);
                                        } else {
                                            iTitleNView.setButtonColorByIndex(i4, optString10, color2Color2, optString9);
                                        }
                                    }
                                }
                                return;
                            }
                            return;
                        }
                    }
                }
                changeColorAlpha2 = changeColorAlpha4;
                if (titleColor != changeColorAlpha2) {
                }
                iTitleNView.setStatusBarColor(optInt);
                if (str2 != null) {
                    if (optJSONObject != null) {
                    }
                    setSplitLine(iTitleNView, iWebview, optJSONObject, optJSONObject, false, "");
                }
                if (optString2 != null) {
                }
                if (i == 0) {
                }
            }
            optString3 = optString;
            String str72 = optString3;
            titleColor = iTitleNView.getTitleColor();
            optJSONObject = jSONObject.optJSONObject("splitLine");
            if (optJSONObject != null) {
            }
            str = null;
            if (TextUtils.isEmpty(str)) {
            }
            i = (f > 0.0f ? 1 : (f == 0.0f ? 0 : -1));
            if (i != 0) {
            }
            changeColorAlpha2 = changeColorAlpha4;
            if (titleColor != changeColorAlpha2) {
            }
            iTitleNView.setStatusBarColor(optInt);
            if (str2 != null) {
            }
            if (optString2 != null) {
            }
            if (i == 0) {
            }
        } catch (Exception unused2) {
        }
    }

    public static String changeColorAlpha(String str, float f) {
        String[] stringSplit;
        String substring;
        try {
            if (TextUtils.isEmpty(str) || 0.0f > f || f > 1.0f) {
                return null;
            }
            if (str.startsWith("#")) {
                if (str.substring(1, str.length()).length() == 3) {
                    str = "#" + substring.charAt(0) + substring.charAt(0) + substring.charAt(1) + substring.charAt(1) + substring.charAt(2) + substring.charAt(2);
                }
                int parseColor = Color.parseColor(str);
                String hexString = Integer.toHexString((int) (f * 255.0f));
                if (1 == hexString.length()) {
                    hexString = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString;
                }
                String hexString2 = Integer.toHexString(Color.red(parseColor));
                if (1 == hexString2.length()) {
                    hexString2 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString2;
                }
                String hexString3 = Integer.toHexString(Color.green(parseColor));
                if (1 == hexString3.length()) {
                    hexString3 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString3;
                }
                String hexString4 = Integer.toHexString(Color.blue(parseColor));
                if (1 == hexString4.length()) {
                    hexString4 = WXInstanceApm.VALUE_ERROR_CODE_DEFAULT + hexString4;
                }
                return "#" + hexString + hexString2 + hexString3 + hexString4;
            } else if (str.startsWith("rgba") && str.contains(Operators.BRACKET_START_STR) && str.contains(Operators.BRACKET_END_STR) && str.contains(",") && (stringSplit = PdrUtil.stringSplit(str.substring(str.indexOf(Operators.BRACKET_START_STR) + 1, str.indexOf(Operators.BRACKET_END_STR)), ",")) != null && 4 == stringSplit.length) {
                return "rgba(" + stringSplit[0] + "," + stringSplit[1] + "," + stringSplit[2] + "," + f + Operators.BRACKET_END_STR;
            } else {
                return null;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
