package io.dcloud.feature.payment.weixin;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.modelbiz.WXLaunchMiniProgram;
import com.tencent.mm.opensdk.modelmsg.ShowMessageFromWX;
import com.tencent.mm.opensdk.modelmsg.WXAppExtendObject;
import com.tencent.mm.opensdk.modelpay.PayReq;
import com.tencent.mm.opensdk.modelpay.PayResp;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import io.dcloud.ProcessMediator;
import io.dcloud.common.DHInterface.FeatureMessageDispatcher;
import io.dcloud.common.DHInterface.IReflectAble;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;
/* loaded from: classes.dex */
public abstract class AbsWXPayCallbackActivity extends Activity implements IWXAPIEventHandler, IReflectAble {
    @Override // android.app.Activity
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            WXAPIFactory.createWXAPI(this, AndroidResources.getMetaValue("WX_APPID"), false).handleIntent(getIntent(), this);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onReq(BaseReq req) {
        FeatureMessageDispatcher.dispatchMessage(req);
        if (ProcessMediator.isMultiProcess) {
            Intent intent = new Intent();
            String str = ProcessMediator.RESULT_ACTION;
            if (req instanceof PayReq) {
                str = ProcessMediator.RESULT_ACTION + ((PayReq) req).prepayId;
            }
            intent.setAction(str);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseReq");
            req.toBundle(bundle);
            intent.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        } else if (req.getType() == 4) {
            goToMsg(req);
        }
        finish();
    }

    private void goToMsg(BaseReq req) {
        Intent launchIntentForPackage = getPackageManager().getLaunchIntentForPackage(getPackageName());
        launchIntentForPackage.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, ((WXAppExtendObject) ((ShowMessageFromWX.Req) req).message.mediaObject).extInfo);
        launchIntentForPackage.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
        launchIntentForPackage.addFlags(524288);
        startActivity(launchIntentForPackage);
    }

    private void goToMsg(BaseResp resp) {
        String str = ((WXLaunchMiniProgram.Resp) resp).extMsg;
        if (TextUtils.isEmpty(str)) {
            return;
        }
        Intent launchIntentForPackage = getPackageManager().getLaunchIntentForPackage(getPackageName());
        launchIntentForPackage.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, str);
        launchIntentForPackage.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
        launchIntentForPackage.addFlags(524288);
        startActivity(launchIntentForPackage);
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onResp(BaseResp resp) {
        FeatureMessageDispatcher.dispatchMessage(resp);
        if (ProcessMediator.isMultiProcess) {
            Intent intent = new Intent();
            String str = ProcessMediator.RESULT_ACTION;
            if (resp instanceof PayResp) {
                str = ProcessMediator.RESULT_ACTION + ((PayResp) resp).prepayId;
            }
            intent.setAction(str);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseResp");
            resp.toBundle(bundle);
            intent.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        } else if (resp.getType() == 19) {
            goToMsg(resp);
        }
        overridePendingTransition(0, 0);
        finish();
    }
}
