package io.dcloud.feature.uniapp;

import android.content.Context;
import android.net.Uri;
import android.view.Menu;
import android.view.View;
import com.taobao.weex.IWXActivityStateListener;
import com.taobao.weex.IWXRenderListener;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.adapter.IDrawableLoader;
import com.taobao.weex.adapter.IWXImgLoaderAdapter;
import com.taobao.weex.adapter.URIAdapter;
import com.taobao.weex.bridge.EventResult;
import com.taobao.weex.common.WXModule;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public interface AbsSDKInstance extends IWXActivityStateListener, View.OnLayoutChangeListener {
    void addEventListener(String eventName, String callback);

    void fireEvent(String ref, String type);

    void fireEvent(String elementRef, final String type, final Map<String, Object> data);

    void fireEvent(String elementRef, final String type, final Map<String, Object> data, final Map<String, Object> domChanges);

    void fireEvent(String elementRef, final String type, final Map<String, Object> data, final Map<String, Object> domChanges, List<Object> eventArgs);

    void fireEvent(String elementRef, final String type, final Map<String, Object> data, final Map<String, Object> domChanges, List<Object> eventArgs, EventResult callback);

    void fireGlobalEventCallback(String eventName, Map<String, Object> params);

    void fireModuleEvent(String eventName, WXModule module, Map<String, Object> params);

    String getBundleUrl();

    Context getContext();

    int getDefaultFontSize();

    IDrawableLoader getDrawableLoader();

    IWXImgLoaderAdapter getImgLoaderAdapter();

    String getInstanceId();

    int getInstanceViewPortWidth();

    float getInstanceViewPortWidthWithFloat();

    Context getOriginalContext();

    WXSDKInstance getParentInstance();

    String getRenderType();

    View getRootView();

    URIAdapter getURIAdapter();

    int getWeexHeight();

    int getWeexWidth();

    boolean isCompilerWithUniapp();

    boolean isDestroy();

    boolean isFrameViewShow();

    boolean isImmersive();

    boolean onBackPressed();

    void onCreateFinish();

    boolean onCreateOptionsMenu(Menu menu);

    void onShowAnimationEnd();

    boolean onSupportNavigateUp();

    void registerRenderListener(IWXRenderListener listener);

    void reloadImages();

    void reloadPage(boolean reloadThis);

    void removeEventListener(String eventName);

    void removeEventListener(String eventName, String callback);

    Uri rewriteUri(Uri uri, String type);

    void runOnUiThread(Runnable action);

    void setBundleUrl(String url);

    void setDefaultFontSize(int size);

    void setImmersive(boolean immersive);

    void setRenderType(String renderType);

    void setSize(int width, int height);

    void setUniPagePath(String path);
}
