package io.dcloud.feature.uniapp.ui.action;

import android.view.View;
import com.taobao.weex.common.Constants;
import com.taobao.weex.dom.CSSShorthand;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.dom.WXEvent;
import com.taobao.weex.dom.WXStyle;
import io.dcloud.feature.uniapp.dom.AbsAttr;
import io.dcloud.feature.uniapp.dom.AbsCSSShorthand;
import io.dcloud.feature.uniapp.dom.AbsEvent;
import io.dcloud.feature.uniapp.dom.AbsStyle;
import io.dcloud.feature.uniapp.utils.UniUtils;
import java.util.Map;
import java.util.Set;
/* loaded from: classes.dex */
public abstract class AbsComponentData<T extends View> {
    protected AbsAttr mAttributes;
    private AbsCSSShorthand mBorders;
    public String mComponentType;
    protected AbsEvent mEvents;
    private AbsCSSShorthand mMargins;
    private AbsCSSShorthand mPaddings;
    public String mParentRef;
    public String mRef;
    protected AbsStyle mStyles;
    protected long renderObjectPr = 0;

    /* renamed from: clone */
    public abstract AbsComponentData<T> m19clone() throws CloneNotSupportedException;

    public AbsComponentData(String ref, String componentType, String parentRef) {
        this.mRef = ref;
        this.mComponentType = componentType;
        this.mParentRef = parentRef;
    }

    public void addStyle(Map<String, Object> styles) {
        addStyle(styles, false);
    }

    public final void addStyle(Map<String, Object> styles, boolean byPesudo) {
        if (styles == null || styles.isEmpty()) {
            return;
        }
        AbsStyle absStyle = this.mStyles;
        if (absStyle == null) {
            this.mStyles = new WXStyle(styles);
        } else {
            absStyle.putAll(styles, byPesudo);
        }
    }

    public final void addAttr(Map<String, Object> attrs) {
        if (attrs == null || attrs.isEmpty()) {
            return;
        }
        AbsAttr absAttr = this.mAttributes;
        if (absAttr == null) {
            this.mAttributes = new WXAttr(attrs, 0);
        } else {
            absAttr.putAll(attrs);
        }
    }

    public final void addEvent(Set<String> events) {
        if (events == null || events.isEmpty()) {
            return;
        }
        if (this.mEvents == null) {
            this.mEvents = new WXEvent();
        }
        this.mEvents.addAll(events);
    }

    public final void addShorthand(float[] shorthand, AbsCSSShorthand.TYPE type) {
        if (shorthand == null) {
            shorthand = new float[]{0.0f, 0.0f, 0.0f, 0.0f};
        }
        if (shorthand.length == 4) {
            int i = AnonymousClass1.$SwitchMap$io$dcloud$feature$uniapp$dom$AbsCSSShorthand$TYPE[type.ordinal()];
            if (i == 1) {
                AbsCSSShorthand absCSSShorthand = this.mMargins;
                if (absCSSShorthand == null) {
                    this.mMargins = new CSSShorthand(shorthand);
                } else {
                    absCSSShorthand.replace(shorthand);
                }
            } else if (i == 2) {
                AbsCSSShorthand absCSSShorthand2 = this.mPaddings;
                if (absCSSShorthand2 == null) {
                    this.mPaddings = new CSSShorthand(shorthand);
                } else {
                    absCSSShorthand2.replace(shorthand);
                }
            } else if (i != 3) {
            } else {
                AbsCSSShorthand absCSSShorthand3 = this.mBorders;
                if (absCSSShorthand3 == null) {
                    this.mBorders = new CSSShorthand(shorthand);
                } else {
                    absCSSShorthand3.replace(shorthand);
                }
            }
        }
    }

    /* renamed from: io.dcloud.feature.uniapp.ui.action.AbsComponentData$1  reason: invalid class name */
    /* loaded from: classes.dex */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$io$dcloud$feature$uniapp$dom$AbsCSSShorthand$TYPE;

        static {
            int[] iArr = new int[AbsCSSShorthand.TYPE.values().length];
            $SwitchMap$io$dcloud$feature$uniapp$dom$AbsCSSShorthand$TYPE = iArr;
            try {
                iArr[AbsCSSShorthand.TYPE.MARGIN.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$io$dcloud$feature$uniapp$dom$AbsCSSShorthand$TYPE[AbsCSSShorthand.TYPE.PADDING.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$io$dcloud$feature$uniapp$dom$AbsCSSShorthand$TYPE[AbsCSSShorthand.TYPE.BORDER.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
        }
    }

    public final void addShorthand(Map<String, String> shorthand) {
        if (shorthand == null || shorthand.isEmpty()) {
            return;
        }
        for (Map.Entry<String, String> entry : shorthand.entrySet()) {
            String key = entry.getKey();
            key.hashCode();
            char c = 65535;
            switch (key.hashCode()) {
                case -1971292586:
                    if (key.equals(Constants.Name.BORDER_RIGHT_WIDTH)) {
                        c = 0;
                        break;
                    }
                    break;
                case -1501175880:
                    if (key.equals(Constants.Name.PADDING_LEFT)) {
                        c = 1;
                        break;
                    }
                    break;
                case -1452542531:
                    if (key.equals(Constants.Name.BORDER_TOP_WIDTH)) {
                        c = 2;
                        break;
                    }
                    break;
                case -1290574193:
                    if (key.equals(Constants.Name.BORDER_BOTTOM_WIDTH)) {
                        c = 3;
                        break;
                    }
                    break;
                case -1081309778:
                    if (key.equals("margin")) {
                        c = 4;
                        break;
                    }
                    break;
                case -1044792121:
                    if (key.equals(Constants.Name.MARGIN_TOP)) {
                        c = 5;
                        break;
                    }
                    break;
                case -806339567:
                    if (key.equals("padding")) {
                        c = 6;
                        break;
                    }
                    break;
                case -289173127:
                    if (key.equals(Constants.Name.MARGIN_BOTTOM)) {
                        c = 7;
                        break;
                    }
                    break;
                case -223992013:
                    if (key.equals(Constants.Name.BORDER_LEFT_WIDTH)) {
                        c = '\b';
                        break;
                    }
                    break;
                case 90130308:
                    if (key.equals(Constants.Name.PADDING_TOP)) {
                        c = '\t';
                        break;
                    }
                    break;
                case 202355100:
                    if (key.equals(Constants.Name.PADDING_BOTTOM)) {
                        c = '\n';
                        break;
                    }
                    break;
                case 713848971:
                    if (key.equals(Constants.Name.PADDING_RIGHT)) {
                        c = 11;
                        break;
                    }
                    break;
                case 741115130:
                    if (key.equals(Constants.Name.BORDER_WIDTH)) {
                        c = '\f';
                        break;
                    }
                    break;
                case 975087886:
                    if (key.equals(Constants.Name.MARGIN_RIGHT)) {
                        c = '\r';
                        break;
                    }
                    break;
                case 1970934485:
                    if (key.equals(Constants.Name.MARGIN_LEFT)) {
                        c = 14;
                        break;
                    }
                    break;
            }
            switch (c) {
                case 0:
                    addBorder(CSSShorthand.EDGE.RIGHT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 1:
                    addPadding(CSSShorthand.EDGE.LEFT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 2:
                    addBorder(CSSShorthand.EDGE.TOP, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 3:
                    addBorder(CSSShorthand.EDGE.BOTTOM, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 4:
                    addMargin(CSSShorthand.EDGE.ALL, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 5:
                    addMargin(CSSShorthand.EDGE.TOP, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 6:
                    addPadding(CSSShorthand.EDGE.ALL, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 7:
                    addMargin(CSSShorthand.EDGE.BOTTOM, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case '\b':
                    addBorder(CSSShorthand.EDGE.LEFT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case '\t':
                    addPadding(CSSShorthand.EDGE.TOP, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case '\n':
                    addPadding(CSSShorthand.EDGE.BOTTOM, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 11:
                    addPadding(CSSShorthand.EDGE.RIGHT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case '\f':
                    addBorder(CSSShorthand.EDGE.ALL, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case '\r':
                    addMargin(CSSShorthand.EDGE.RIGHT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
                case 14:
                    addMargin(CSSShorthand.EDGE.LEFT, UniUtils.fastGetFloat(shorthand.get(key)));
                    break;
            }
        }
    }

    private void addMargin(CSSShorthand.EDGE spacingType, float margin) {
        if (this.mMargins == null) {
            this.mMargins = new CSSShorthand();
        }
        this.mMargins.set(spacingType, margin);
    }

    private void addPadding(CSSShorthand.EDGE spacingType, float padding) {
        if (this.mPaddings == null) {
            this.mPaddings = new CSSShorthand();
        }
        this.mPaddings.set(spacingType, padding);
    }

    private void addBorder(CSSShorthand.EDGE spacingType, float border) {
        if (this.mBorders == null) {
            this.mBorders = new CSSShorthand();
        }
        this.mBorders.set(spacingType, border);
    }

    public AbsStyle getStyles() {
        if (this.mStyles == null) {
            this.mStyles = new WXStyle();
        }
        return this.mStyles;
    }

    public AbsAttr getAttrs() {
        if (this.mAttributes == null) {
            this.mAttributes = new WXAttr();
        }
        return this.mAttributes;
    }

    public AbsEvent getEvents() {
        if (this.mEvents == null) {
            this.mEvents = new WXEvent();
        }
        return this.mEvents;
    }

    public AbsCSSShorthand getMargin() {
        if (this.mMargins == null) {
            this.mMargins = new CSSShorthand();
        }
        return this.mMargins;
    }

    public AbsCSSShorthand getPadding() {
        if (this.mPaddings == null) {
            this.mPaddings = new CSSShorthand();
        }
        return this.mPaddings;
    }

    public AbsCSSShorthand getBorder() {
        if (this.mBorders == null) {
            this.mBorders = new CSSShorthand();
        }
        return this.mBorders;
    }

    public final void setMargins(CSSShorthand mMargins) {
        this.mMargins = mMargins;
    }

    public final void setPaddings(CSSShorthand mPaddings) {
        this.mPaddings = mPaddings;
    }

    public final void setBorders(CSSShorthand mBorders) {
        this.mBorders = mBorders;
    }

    public long getRenderObjectPr() {
        return this.renderObjectPr;
    }

    public boolean isRenderPtrEmpty() {
        return this.renderObjectPr == 0;
    }

    public synchronized void setRenderObjectPr(long renderObjectPr) {
        long j = this.renderObjectPr;
        if (j != renderObjectPr) {
            if (j != 0) {
                throw new RuntimeException("RenderObjectPr has " + renderObjectPr + " old renderObjectPtr " + this.renderObjectPr);
            }
            this.renderObjectPr = renderObjectPr;
        }
    }
}
