package io.dcloud.feature.uniapp.ui.component;

import android.view.View;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.IFComponentHolder;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.component.WXVContainer;
import io.dcloud.feature.uniapp.UniSDKInstance;
import io.dcloud.feature.uniapp.ui.AbsAnimationHolder;
import io.dcloud.feature.uniapp.ui.AbsIComponentHolder;
import io.dcloud.feature.uniapp.ui.action.AbsComponentData;
/* loaded from: classes.dex */
public class UniComponent<T extends View> extends WXComponent<T> {
    public UniSDKInstance mUniSDKInstance;

    /* loaded from: classes.dex */
    public interface OnClickListener extends WXComponent.OnClickListener {
    }

    /* loaded from: classes.dex */
    public interface OnFocusChangeListener extends WXComponent.OnFocusChangeListener {
    }

    public UniComponent(UniSDKInstance instance, AbsVContainer parent, int type, AbsComponentData componentData) {
        super(instance, (WXVContainer) parent, type, (BasicComponentData) componentData);
        this.mUniSDKInstance = instance;
    }

    public UniComponent(UniSDKInstance instance, AbsVContainer parent, AbsComponentData componentData) {
        super(instance, (WXVContainer) parent, (BasicComponentData) componentData);
        this.mUniSDKInstance = instance;
    }

    public UniSDKInstance getUniInstance() {
        return this.mUniSDKInstance;
    }

    protected void updateStyles(UniComponent component) {
        updateStyles(component);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public final void updateStyles(WXComponent component) {
        super.updateStyles(component);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public final void bindData(WXComponent component) {
        super.bindData(component);
    }

    public final AbsBasicComponent findUniComponent(String ref) {
        if (getInstance() == null || ref == null) {
            return null;
        }
        return WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getInstanceId(), ref);
    }

    public void bindHolder(AbsIComponentHolder holder) {
        super.bindHolder((IFComponentHolder) holder);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public final void bindHolder(IFComponentHolder holder) {
        super.bindHolder(holder);
    }

    public void postAnimation(UniAnimationHolder holder) {
        super.postAnimation((AbsAnimationHolder) holder);
    }

    protected final void addFocusChangeListener(OnFocusChangeListener l) {
        super.addFocusChangeListener((WXComponent.OnFocusChangeListener) l);
    }

    protected final void addClickListener(OnClickListener l) {
        super.addClickListener((WXComponent.OnClickListener) l);
    }

    @Override // com.taobao.weex.ui.component.WXComponent
    public void destroy() {
        super.destroy();
        this.mUniSDKInstance = null;
    }
}
