package io.dcloud.feature.uniapp.ui.shadow;

import java.util.List;
/* loaded from: classes.dex */
public class UniBoxShadowData {
    int contentHeight;
    int contentWidth;
    List<UniBoxShadowOptions> insetShadows;
    String mStyle;
    int normalLeft;
    int normalMaxHeight;
    int normalMaxWidth;
    List<UniBoxShadowOptions> normalShadows;
    int normalTop;
    float quality;
    float[] radii;

    public UniBoxShadowData(List<UniBoxShadowOptions> normalShadows, List<UniBoxShadowOptions> insetShadows, float[] radii, float quality) {
        this.normalShadows = null;
        this.insetShadows = null;
        this.normalShadows = normalShadows;
        this.insetShadows = insetShadows;
        this.quality = quality;
        this.radii = radii;
    }

    public void setNormalMaxWidth(int width) {
        this.normalMaxWidth = width;
    }

    public void setNormalMaxHeight(int height) {
        this.normalMaxHeight = height;
    }

    public int getNormalMaxWidth() {
        return this.normalMaxWidth;
    }

    public int getNormalMaxHeight() {
        return this.normalMaxHeight;
    }

    public int getNormalLeft() {
        return this.normalLeft;
    }

    public void setNormalLeft(int normalLeft) {
        this.normalLeft = normalLeft;
    }

    public int getNormalTop() {
        return this.normalTop;
    }

    public void setNormalTop(int normalTop) {
        this.normalTop = normalTop;
    }

    public int getCanvasWidth() {
        return (int) (getNormalMaxWidth() * this.quality);
    }

    public int getCanvasHeight() {
        return (int) (getNormalMaxHeight() * this.quality);
    }

    public List<UniBoxShadowOptions> getNormalShadows() {
        return this.normalShadows;
    }

    public List<UniBoxShadowOptions> getInsetShadows() {
        return this.insetShadows;
    }

    public float getQuality() {
        return this.quality;
    }

    public int getContentWidth() {
        return this.contentWidth;
    }

    public void setContentWidth(int contentWidth) {
        this.contentWidth = contentWidth;
    }

    public int getContentHeight() {
        return this.contentHeight;
    }

    public void setContentHeight(int contentHeight) {
        this.contentHeight = contentHeight;
    }

    public float[] getRadii() {
        return this.radii;
    }

    public String getStyle() {
        return this.mStyle;
    }

    public void setStyle(String style) {
        this.mStyle = style;
    }

    public boolean equalsUniBoxShadowData(String style, int contentWidth, int contentHeight, float[] radii) {
        return getStyle().equals(style) && getContentWidth() == contentWidth && getContentHeight() == contentHeight && getRadii()[0] == radii[0] && getRadii()[2] == radii[2] && getRadii()[4] == radii[4] && getRadii()[6] == radii[6];
    }
}
