package io.dcloud.feature.weex.extend;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.WXBridgeManager;
import com.taobao.weex.common.WXImageStrategy;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXImage;
import com.taobao.weex.ui.component.WXVContainer;
import com.taobao.weex.utils.WXUtils;
import io.dcloud.feature.uniapp.layout.UniContentBoxMeasurement;
import io.dcloud.feature.weex.adapter.GlideImageAdapter;
import java.util.Map;
/* loaded from: classes.dex */
public class DCCoverImageComponent extends WXImage {
    private int mBitmapHeight;
    private int mBitmapWidth;

    public DCCoverImageComponent(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
        this.mBitmapWidth = 0;
        this.mBitmapHeight = 0;
        setContentBoxMeasurement(new UniContentBoxMeasurement() { // from class: io.dcloud.feature.weex.extend.DCCoverImageComponent.1
            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutAfter(float computedWidth, float computedHeight) {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void layoutBefore() {
            }

            @Override // com.taobao.weex.layout.ContentBoxMeasurement
            public void measureInternal(float width, float height, int widthMeasureMode, int heightMeasureMode) {
                if (widthMeasureMode == 0 || !DCCoverImageComponent.this.getStyles().containsKey("width")) {
                    this.mMeasureWidth = DCCoverImageComponent.this.mBitmapWidth;
                }
                if (heightMeasureMode == 0) {
                    this.mMeasureHeight = DCCoverImageComponent.this.mBitmapHeight;
                }
            }
        });
    }

    @Override // com.taobao.weex.ui.component.WXImage
    protected void setImage(String rewritedStr, WXImageStrategy imageStrategy) {
        GlideImageAdapter.setImage(rewritedStr, getHostView(), getImageQuality(), imageStrategy);
    }

    @Override // com.taobao.weex.ui.component.WXImage
    public void onImageFinish(boolean result, Map extra) {
        super.onImageFinish(result, extra);
        this.mBitmapWidth = WXUtils.getInt(extra.get("width"));
        this.mBitmapHeight = WXUtils.getInt(extra.get("height"));
        if (getStyles().containsKey("height")) {
            return;
        }
        WXBridgeManager.getInstance().post(new Runnable() { // from class: io.dcloud.feature.weex.extend.-$$Lambda$DCCoverImageComponent$MzThyCLWoH_u4k49z3UcVSkIsgc
            @Override // java.lang.Runnable
            public final void run() {
                DCCoverImageComponent.this.lambda$onImageFinish$0$DCCoverImageComponent();
            }
        });
    }

    public /* synthetic */ void lambda$onImageFinish$0$DCCoverImageComponent() {
        WXBridgeManager.getInstance().setStyleWidth(getInstanceId(), getRef(), this.mBitmapWidth);
        WXBridgeManager.getInstance().setStyleHeight(getInstanceId(), getRef(), this.mBitmapHeight);
    }
}
