package io.dcloud.weex;

import android.text.TextUtils;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.util.AppConsoleLogUtil;
import io.dcloud.feature.uniapp.utils.AbsLogLevel;
/* loaded from: classes.dex */
public class ConsoleLogUtils {
    public static void consoleLog(String tag, String msg, AbsLogLevel level) {
        String replace;
        String str;
        if (!TextUtils.isEmpty(tag) && "jsLog".equals(tag) && checkLog(msg)) {
            if (msg.endsWith("__ERROR")) {
                replace = msg.replace("__ERROR", "");
                str = "ERROR";
            } else if (msg.endsWith("__LOG")) {
                replace = msg.replace("__LOG", "");
                str = "LOG";
            } else if (msg.endsWith("__INFO")) {
                replace = msg.replace("__INFO", "");
                str = "INFO";
            } else if (msg.endsWith("__WARN")) {
                replace = msg.replace("__WARN", "");
                str = "WARN";
            } else {
                replace = msg.replace("__DEBUG", "");
                str = "DEBUG";
            }
            replace.trim();
            if (replace.startsWith("v8performance")) {
                WXDotDataUtil.setValue("initJSEngineTime", replace.replace("v8performance:", ""));
            } else if (replace.startsWith("JSCPerformance")) {
                WXDotDataUtil.setValue("initJSEngineTime", replace.replace("JSCPerformance:", ""));
            } else {
                AppConsoleLogUtil.DCLog(replace, str);
            }
        }
    }

    private static boolean checkLog(String msg) {
        if (msg.contains("Start windmill weex-vue-plugin")) {
            return false;
        }
        if (msg.contains("has been registered already!")) {
            Logger.i(msg);
            return false;
        }
        return true;
    }
}
